--[[ 데이터 추가 방법

기본적으로 테이블을 추가하는 방법은...
가장 큰 분류는 대륙명칭으로 나뉩니다.
Babble-Zone-2.2 라이브러리를 사용하기 때문에 영문으로 표기합니다..
그 하위로 인스턴스와 각 지역이 나뉩니다...

인스턴스는 인스턴스 이름 -> 몹 이름 -> 드랍 아이템의 순서로 테이블이 진행됩니다.

예제)
["인스턴스 이름(영문) 추가적으로 인던 종류(-Hero를 붙이면 영웅 인던 |R을 붙이면 공격대 인던)과 테이블 순서(|숫자로 표시)"] = {
	["몹 이름(영문) 추가적으로 몬스터 종류(|B를 붙이면 보스몬스터, |N를 붙일 경우는 네임드)와 테이블 순서(|숫자로 표시)"] = {
		["필드번호"] = "아이템ID",
		...
	},
},

이런식으로 추가할 수 있습니다.

단 순서를 지정하는 |숫자는 항상 맨 끝부분에 와야 합니다..

이름(영던인지여부)(|추가정보)(|테이블순서)의 순서입니다..

만약 특정한 설명이 필요한 아이템이라면..

WhoDropNote 테이블에 아이템 ID 별로 추가를 하면 됩니다.

예제)
WhoDropNote = {
	["아이템ID"] = "설명할 내용...",
	..
}

각 지역별로 나뉘는 분류에 대해서는..

예제)
["지역명(영문)"] = {
	["NPC이름(영문) 추가적으로 진영 표시(|H 나 |A, 중립에 대해서는 표시할 필요가 없습니다.)와 테이블 순서(|숫자로 표시)"] = {
		["퀘스트이름,또는 평판 상인의 경우에는 평판, 교환 아이템의 경우에는 교환가치(영문)"] = {
			["필드번호"] = "아이템ID",
			....
		},
	},
},

이렇게 추가할 수 있습니다.

인스턴스정보와 마찬가지로..

이름(추가정보-진영)(테이블순서)의 단계로 표시되어야 합니다.

지역별 구분이 한 단계가 더 많은 이유는.. 인스턴스는 ["Instance"]라는 다른 분류의 테이블로 구성되기 때문입니다.

로컬지원은..

우선적으로 로컬 파일 상에 해당 단어가 있는지 그 다음으로 Babble-Boss-2.2 다음으로 Babble-Zone-2.2, Babble-Quest-2.2를 

확인해서 로컬이 존재하는지 찾고.. 그 중에서 발견되지 않을 경우 본문 그대로를 사용합니다.

만약 Babble-Zone-2.2나 Babble-Boss-2.2, Babble-Quest-2.2에 등록되지 않은 문구의 경우에는 로컬에 추가하셔도 됩니다.


]]

local L = AceLibrary("AceLocale-2.2"):new("WhoDrop")
local BF = AceLibrary("Babble-Faction-2.2")
local BB = AceLibrary("Babble-Boss-2.2")
local BZ = AceLibrary("Babble-Zone-2.2")

WhoDropData = { };

WhoDropInstanceData = {
	["Eastern Kingdoms|1"] = {
		["Instance|1"] = {
			["The Deadmines|A|1"] = {
				["Miner Johnson|S|1"] = {
					[1] = "1930",
					[2] = "5443",
				},
				["Marisa du'Paige|N|2"] = {
					[1] = "4660",
					[2] = "3019",
				},
				["Sneed|N|3"] = {
					[1] = "5194",
					[2] = "5195",
				},
				["Sneed's Shredder|N|4"] = {
					[1] = "1937",
				},
				["Gilnid|N|5"] = {
					[1] = "5199",
					[2] = "1156",
				},
				["Mr~ Smite|N|6"] = {
					[1] = "5192",
					[2] = "5196",
					[3] = "7230",
				},
				["Brainwashed Noble|S|7"] = {
					[1] = "5967",
				},
				["Cookie|N|8"] = {
					[1] = "5198",
					[2] = "5197",
				},
				["Captain Greenskin|N|9"] = {
					[1] = "5200",
					[2] = "5201",
				},
				["Edwin VanCleef|B|10"] = {
					[1] = "5202",
					[2] = "5191",
					[3] = "5193",
					[4] = "10399",
				},
				["Trash|T"] = {
					[1] = "1933",
					[2] = "10402",
					[3] = "10401",
					[4] = "10403",
					[5] = "10400",
				},
				["Quest Reward|T"] = {
					[1] = "2074",
					[2] = "6094",
					[3] = "2089",
					[4] = "2036",
					[5] = "2037",
					[6] = "7606",
					[7] = "7607",
					[8] = "1893",
					[9] = "6087",
					[10] = "2041",
					[11] = "2042",
				},
			},
			["Shadowfang Keep|2"] = {
				["Razorclaw the Butcher|N|1"] = {
					[1] = "6226",
					[2] = "6633",
					[3] = "1292",
				},
				["Baron Silverlaine|N|2"] = {
					[1] = "6323",
					[2] = "6321",
				},
				["Commander Springvale|N|3"] = {
					[1] = "3191",
					[2] = "6320",
				},
				["Deathsworn Captain|S|4"] = {
					[1] = "6641",
					[2] = "6642",
				},
				["Odo the Blindwatcher|N|5"] = {
					[1] = "6319",
					[2] = "6318",
				},
				["Fenrus the Devourer|N|6"] = {
					[1] = "6340",
					[2] = "3230",
				},
				["Wolf Master Nandos|N|7"] = {
					[1] = "6314",
					[2] = "3748",
				},
				["Sever|S|8"] = {
					[1] = "23171",
					[2] = "23173",
				},
				["Archmage Arugal|B|9"] = {
					[1] = "6324",
					[2] = "6220",
					[3] = "6392",
				},
				["Trash|T"] = {
					[1] = "2807",
					[2] = "1935",
					[3] = "1484",
					[4] = "1483",
					[5] = "5943",
					[6] = "1482",
					[7] = "3194",
					[8] = "1318",
					[9] = "1974",
					[10] = "6341|"..L["Fel Steed"],
				},
				["Quest Reward|T"] = {
					[1] = "4534",
					[2] = "6335",
					[3] = "3324",
					[4] = "6414",
				},
			},
			["The Stockade|A|3"] = {
				["Bruegal Ironknuckle|S|1"] = {
					[1] = "2942",
					[2] = "3228",
					[3] = "2941",
				},
				["Quest Reward|T"] = {
					[1] = "1317",
					[2] = "3400",
					[3] = "2033",
					[4] = "2906",
					[5] = "1264",
					[6] = "3562",
				},
			},
			["Gnomeregan|4"] = {
				["Grubbis|N|1"] = {
					[1] = "9445",
				},
				["Viscous Fallout|N|2"] = {
					[1] = "9452",
					[2] = "9453",
					[3] = "9454",
				},
				["Crowd Pummeler 9-60|N|3"] = {
					[1] = "9449",
					[2] = "9450",
				},
				["Electrocutioner 6000|N|4"] = {
					[1] = "9448",
					[2] = "9446",
					[3] = "9447",
				},
				["Dark Iron Ambassador|S|5"] = {
					[1] = "9456",
					[2] = "9457",
					[3] = "9455",
				},
				["Mekgineer Thermaplugg|B|6"] = {
					[1] = "9461",
					[2] = "9459",
					[3] = "9458",
					[4] = "9492",
				},
				["Trash|T"] = {
					[1] = "9488",
					[2] = "9485",
					[3] = "9510",
					[4] = "9487",
					[5] = "9486",
					[6] = "9508",
					[7] = "9490",
					[8] = "9491",
					[9] = "9509",
				},
				["Quest Reward|T"] = {
					[1] = "9605",
					[2] = "9604",
					[3] = "9535",
					[4] = "9536",
					[5] = "9608",
					[6] = "9609",
					[7] = "9588",
					[8] = "9623",
					[9] = "9624",
					[10] = "9625",
				},
			},
			["Scarlet Monastery|4"] = {
				["Interrogator Vishas|N|1"] = {
					[1] = "7682",
					[2] = "7683",
				},
				["Fallen Champion|S|2"] = {
					[1] = "7690",
					[2] = "7689",
					[3] = "7691",
				},
				["Azshir the Sleepless|S|3"] = {
					[1] = "7731",
					[2] = "7708",
					[3] = "7709",
				},
				["Ironspine|S|4"] = {
					[1] = "7686",
					[2] = "7687",
					[3] = "7688",
				},
				["Bloodmage Thalnos|B|5"] = {
					[1] = "7684",
					[2] = "7685",
				},
				["Scorn|6"] = {
					[1] = "23170",
					[2] = "23168",
					[3] = "23169",
				},
				["Houndmaster Loksey|N|7"] = {
					[1] = "7756",
					[2] = "7710",
				},
				["Arcanist Doan|B|8"] = {
					[1] = "7714",
					[2] = "7713",
					[3] = "7712",
				},
				["Herod|B|9"] = {
					[1] = "7717",
					[2] = "7719",
					[3] = "7718",
				},
				["High Inquisitor Fairbanks|N|10"] = {
					[1] = "19509",
					[2] = "19507",
					[3] = "19508",
				},
				["Scarlet Commander Mograine|N|11"] = {
					[1] = "7724",
					[2] = "7723",
					[3] = "10330",
					[4] = "7726",
				},
				["High Inquisitor Whitemane|B|12"] = {
					[1] = "7721",
					[2] = "7720",
					[3] = "7722",
				},
				["Trash|T"] = {
					[1] = "8226",
					[2] = "2262",
					[3] = "5756",
					[4] = "7736",
					[5] = "7759",
					[6] = "7752",
					[7] = "8225",
					[8] = "7730",
					[9] = "7757",
					[10] = "7755",
					[11] = "7787",
					[12] = "7727",
				},
				["Quest Reward|T"] = {
					[1] = "4643",
					[2] = "7750",
					[3] = "7751",
					[4] = "7746",
					[5] = "17508",
					[6] = "7747",
					[7] = "7749",
					[8] = "6829",
					[9] = "6830",
					[10] = "6831",
					[11] = "11262",
					[12] = "6803",
					[13] = "10711",
					[14] = "6802",
				},
			},
			["Uldaman|5"] = {
				["Revelosh|N|1"] = {
					[1] = "9387",
					[2] = "9390",
					[3] = "9389",
					[4] = "9388",
				},
				["Ancient Stone Keeper|N|2"] = {
					[1] = "9411",
					[2] = "9410",
				},
				["Digmaster Shovelphlange|S|3"] = {
					[1] = "9382",
					[2] = "9375",
					[3] = "9378",
				},
				["Ironaya|N|4"] = {
					[1] = "9408",
					[2] = "9407",
					[3] = "9409",
				},
				["Baelog|H|5"] = {
					[1] = "9399",
					[2] = "9401",
					[3] = "9404",
					[4] = "9398",
				},
				["Galgann Firehammer|N|6"] = {
					[1] = "9419",
					[2] = "9412",
					[3] = "11311",
					[4] = "11310",
				},
				["Grimlok|N|7"] = {
					[1] = "9416",
					[2] = "9415",
					[3] = "9414",
				},
				["Archaedas|B|8"] = {
					[1] = "9413",
					[2] = "9418",
					[3] = "11118",
				},
				["Trash|T"] = {
					[1] = "9424",
					[2] = "9426",
					[3] = "9425",
					[4] = "9391",
					[5] = "9428",
					[6] = "9393",
					[7] = "9381",
					[8] = "9431",
					[9] = "9397",
					[10] = "9423",
					[11] = "9465",
					[12] = "9392",
					[13] = "9386",
					[14] = "9383",
					[15] = "9429",
					[16] = "9422",
					[17] = "9432",
					[18] = "9384",
					[19] = "9427",
					[20] = "9396",
					[21] = "9420",
					[12] = "9430",
				},
				["Quest Reward|T"] = {
					[1] = "9522",
					[2] = "10358",
					[3] = "10359",
					[4] = "4980",
					[5] = "4746",
					[6] = "9626",
					[7] = "9627",
					[8] = "7673",
				},
			},
			["The Temple of Atal'Hakkar|6"] = {
				["Spawn of Hakkar|T|1"] = {
					[1] = "10802",
					[2] = "10801",
				},
				["Atal'alarion|N|2"] = {
					[1] = "10799",
					[2] = "10800",
					[3] = "10798",
				},
				["Troll Miniboss|N|3"] = {
					[1] = "10788|"..BB["Mijan"].."/"..BB["Hukku"].."/"..BB["Zul'Lor"].."/"..BB["Zolo"].."/"..BB["Loro"].."/"..BB["Gasher"],
					[2] = "10786|"..BB["Mijan"].."/"..BB["Hukku"].."/"..BB["Zul'Lor"].."/"..BB["Zolo"].."/"..BB["Loro"].."/"..BB["Gasher"],
					[3] = "10787|"..BB["Mijan"].."/"..BB["Hukku"].."/"..BB["Zul'Lor"].."/"..BB["Zolo"].."/"..BB["Loro"].."/"..BB["Gasher"],
					[4] = "10784|"..BB["Mijan"].."/"..BB["Hukku"].."/"..BB["Zul'Lor"].."/"..BB["Zolo"].."/"..BB["Loro"].."/"..BB["Gasher"],
					[5] = "10783|"..BB["Mijan"].."/"..BB["Hukku"].."/"..BB["Zul'Lor"].."/"..BB["Zolo"].."/"..BB["Loro"].."/"..BB["Gasher"],
					[6] = "10785|"..BB["Mijan"].."/"..BB["Hukku"].."/"..BB["Zul'Lor"].."/"..BB["Zolo"].."/"..BB["Loro"].."/"..BB["Gasher"],
				},
				["4 Draons|N|4"] = {
					[1] = "10796|"..BB["Hazzas"].."/"..BB["Weaver"].."/"..BB["Dreamscythe"].."/"..BB["Morphaz"],
					[2] = "10797|"..BB["Hazzas"].."/"..BB["Weaver"].."/"..BB["Dreamscythe"].."/"..BB["Morphaz"],
					[3] = "12465|"..BB["Hazzas"].."/"..BB["Weaver"].."/"..BB["Dreamscythe"].."/"..BB["Morphaz"],
					[4] = "10795|"..BB["Hazzas"].."/"..BB["Weaver"].."/"..BB["Dreamscythe"].."/"..BB["Morphaz"],
					[5] = "12243|"..BB["Hazzas"].."/"..BB["Weaver"].."/"..BB["Dreamscythe"].."/"..BB["Morphaz"],
					[6] = "12466|"..BB["Hazzas"].."/"..BB["Weaver"].."/"..BB["Dreamscythe"].."/"..BB["Morphaz"],
					[7] = "12464|"..BB["Hazzas"].."/"..BB["Weaver"].."/"..BB["Dreamscythe"].."/"..BB["Morphaz"],
					[8] = "12463|"..BB["Hazzas"].."/"..BB["Weaver"].."/"..BB["Dreamscythe"].."/"..BB["Morphaz"],
				},
				["Jammal'an the Prophet|N|5"] = {
					[1] = "10807",
					[2] = "10808",
					[3] = "10806",
				},
				["Ogom the Wretched|N|6"] = {
					[1] = "10803",
					[2] = "10805",
					[3] = "10804",
				},
				["Avatar of Hakkar|N|7"] = {
					[1] = "10846",
					[2] = "10845",
					[3] = "12462",
					[4] = "10842",
					[5] = "10838",
					[6] = "10843",
					[7] = "10844",
				},
				["Shade of Eranikus|B|8"] = {
					[1] = "10829",
					[2] = "10847",
					[3] = "10828",
					[4] = "10836",
					[5] = "10833",
					[6] = "10835",
					[7] = "10837",
				},
				["Trash|T"] = {
					[1] = "10630",
					[2] = "10624",
					[3] = "10625",
					[4] = "10629",
					[5] = "10623",
					[6] = "10634",
					[7] = "10628",
					[8] = "10626",
					[9] = "10631",
					[10] = "10633",
					[11] = "10632",
					[12] = "10627",
					[13] = "16216",
					[14] = "15733",
				},
				["Quest Reward|T"] = {
					[1] = "1490",
					[2] = "10751",
					[3] = "10749",
					[4] = "10750",
					[5] = "10782",
					[6] = "10781",
					[7] = "10780",
					[8] = "20083",
					[9] = "19991",
					[10] = "19992",
					[11] = "20369",
					[12] = "20556",
					[13] = "20503",
					[14] = "11123",
					[15] = "11124",
				},
			},
			["Blackrock Depths|7"] = {
				["Overmaster Pyron|N|1"] = {
					[1] = "14486",
				},
				["Bael'Gar|N|2"] = {
					[1] = "11805",
					[2] = "11803",
					[3] = "11802",
					[4] = "11807",
				},
				["High Interrogator Gerstahn|N|3"] = {
					[1] = "11625",
					[2] = "11624",
					[3] = "11626",
					[4] = "22240",
				},
				["Theldren|S|4"] = {
					[1] = "22318",
--					[2] = "22327",
					[3] = "22330",
					[4] = "22317",
					[5] = "22305",
				},
				["Eviscerator|S|5"] = {
					[1] = "11686",
					[2] = "11679",
					[3] = "11685",
					[4] = "11730",
				},
				["Grizzle|S|6"] = {
					[1] = "11703",
					[2] = "11722",
					[3] = "22270",
					[4] = "11702",
					[5] = "11610",
				},
				["Ok'thor the Breaker|S|7"] = {
					[1] = "11824",
					[2] = "11662",
					[3] = "11665",
					[4] = "11728",
				},
				["Hedrum the Creeper|S|8"] = {
					[1] = "11634",
					[2] = "11635",
					[3] = "11633",
					[4] = "11729",
				},
				["Anub'shiah|S|9"] = {
					[1] = "11675",
					[2] = "11677",
					[3] = "11678",
					[4] = "11731",
				},
				["Gorosh the Dervish|S|10"] = {
					[1] = "22266",
					[2] = "22257",
					[3] = "11726",
					[4] = "22271",
				},
				["Houndmaster Grebmar|S|11"] = {
					[1] = "11627",
					[2] = "11623",
					[3] = "11628",
					[4] = "11629",
				},
				["Lord Roccor|S|12"] = {
					[1] = "11630",
					[2] = "22397",
					[3] = "11631",
					[4] = "11632",
					[5] = "11813",
					[6] = "22234",
				},
				["Pyromancer Loregrain|N|13"] = {
					[1] = "11748",
					[2] = "11750",
					[3] = "11747",
					[4] = "11749",
					[5] = "11207",
				},
				["Verek|N|14"] = {
					[1] = "22242",
				},
				["Warder Stilgiss|N|15"] = {
					[1] = "11783",
					[2] = "11784",
					[3] = "11782",
					[4] = "22241",
				},
				["Watchman Doomgrip|N|16"] = {
					[1] = "22254",
					[2] = "22255",
					[3] = "22256",
					[4] = "22205",-- 문지기 스틸기스도 0.14% 드랍
				},
				["Fineous Darkvire|N|17"] = {
					[1] = "11840",
					[2] = "11841",
					[3] = "22223",
					[4] = "11839",
					[5] = "11842",
				},
				["Lord Incendius|N|18"] = {
					[1] = "11768",
					[2] = "11764",
					[3] = "11766",
					[4] = "11765",
					[5] = "11767",
				},
				["General Angerforge|N|19"] = {
					[1] = "11810",
					[2] = "11820",
					[3] = "11817",
					[4] = "11823",
					[5] = "11816",
					[6] = "11821",
				},
				["Golem Lord Argelmach|N|20"] = {
					[1] = "11822",
					[2] = "11819",
					[3] = "11669",
					[4] = "21956",

				},
				["Hurley Blackbreath|N|21"] = {
					[1] = "11735",
					[2] = "18043",
					[3] = "22275",
					[4] = "18044",
				},
				["Ribbly Screwspigot|N|22"] = {
					[1] = "11742",
					[2] = "2663",
					[3] = "2662",
					[4] = "11612",
				},
				["Plugger Spazzring|N|23"] = {
					[1] = "12793",
					[2] = "12791",
					[3] = "18653",
				},
				["Phalanx|N|24"] = {
					[1] = "11744",
					[2] = "11743",
					[3] = "11745",
					[4] = "22212",
				},
				["Ambassador Flamelash|N|25"] = {
					[1] = "11808",
					[2] = "11832",
					[3] = "11809",
					[4] = "11814",
					[5] = "11812",
				},
				["Panzor the Invincible|S|26"] = {
					[1] = "11786",
					[2] = "11787",
					[3] = "22245",
					[4] = "11785",
				},
				["Chest of The Seven|T|27"] = {
					[1] = "11925|"..BB["Anger'rel"].."/"..BB["Vile'rel"].."/"..BB["Seeth'rel"].."/"..BB["Doom'rel"].."/"..BB["Dope'rel"].."/"..BB["Gloom'rel"],
					[2] = "11923|"..BB["Anger'rel"].."/"..BB["Vile'rel"].."/"..BB["Seeth'rel"].."/"..BB["Doom'rel"].."/"..BB["Dope'rel"].."/"..BB["Gloom'rel"],
					[3] = "11921|"..BB["Anger'rel"].."/"..BB["Vile'rel"].."/"..BB["Seeth'rel"].."/"..BB["Doom'rel"].."/"..BB["Dope'rel"].."/"..BB["Gloom'rel"],
					[4] = "11922|"..BB["Anger'rel"].."/"..BB["Vile'rel"].."/"..BB["Seeth'rel"].."/"..BB["Doom'rel"].."/"..BB["Dope'rel"].."/"..BB["Gloom'rel"],
					[5] = "11920|"..BB["Anger'rel"].."/"..BB["Vile'rel"].."/"..BB["Seeth'rel"].."/"..BB["Doom'rel"].."/"..BB["Dope'rel"].."/"..BB["Gloom'rel"],
					[6] = "11926|"..BB["Anger'rel"].."/"..BB["Vile'rel"].."/"..BB["Seeth'rel"].."/"..BB["Doom'rel"].."/"..BB["Dope'rel"].."/"..BB["Gloom'rel"],
					[7] = "11927|"..BB["Anger'rel"].."/"..BB["Vile'rel"].."/"..BB["Seeth'rel"].."/"..BB["Doom'rel"].."/"..BB["Dope'rel"].."/"..BB["Gloom'rel"],
					[8] = "11929|"..BB["Anger'rel"].."/"..BB["Vile'rel"].."/"..BB["Seeth'rel"].."/"..BB["Doom'rel"].."/"..BB["Dope'rel"].."/"..BB["Gloom'rel"],

				},
				["Magmus|N|28"] = {
					[1] = "11746",
					[2] = "22208",
					[3] = "22395",
					[4] = "22400",
					[5] = "11935",
				},
				["Princess Moira Bronzebeard|N|29"] = {
					[1] = "12553",
					[2] = "12556",
					[3] = "12554",
					[4] = "12557",
				},
				["Emperor Dagran Thaurissan|B|30"] = {
					[1] = "11684",
					[2] = "11934",
					[3] = "11815",
					[4] = "11924",
					[5] = "11933",
					[6] = "11932",
					[7] = "11931",
					[8] = "22204",
					[9] = "11928",
					[10] = "22207",
					[11] = "11930",
				},
				["Trash|T"] = {
					[1] = "12549",
					[2] = "12542",
					[3] = "12551",
					[4] = "12555",
					[5] = "12552",
					[6] = "12528",
					[7] = "12535",
					[8] = "12547",
					[9] = "12550",
					[10] = "12532",
					[11] = "16048",
					[12] = "18661",
					[13] = "15781",
					[14] = "16053",
				},
				["Quest Reward|T"] = {
					[1] = "11865",
					[2] = "11963",
					[3] = "12049",
					[4] = "11962",
					[5] = "11866",
					[6] = "12041",
					[7] = "12021",
					[8] = "12018",
					[9] = "12038",
					[10] = "12000",
					[11] = "11964",
					[12] = "12113",
					[13] = "12114",
					[14] = "12115",
					[15] = "12112",
					[16] = "12066",
					[17] = "12082",
					[18] = "12083",
					[20] = "12061",
					[21] = "12062",
					[22] = "12065",
					[23] = "12059",
					[24] = "12109",
					[25] = "12110",
					[26] = "12108",
					[27] = "12111",
					[28] = "12544",
					[29] = "12545",
				},
			},
			["Stratholme|8"] = {
				["Skul|S|1"] = {
					[1] = "13395",
					[2] = "13396",
					[3] = "13394",
				},
				["Stonespine|S|2"] = {
					[1] = "13954",
					[2] = "13399",
					[3] = "13397",
				},
				["Hearthsinger Forresten|S|3"] = {
					[1] = "13384",
					[2] = "16682",
					[3] = "13378",
					[4] = "13383",
					[5] = "13379",
				},
				["The Unforgiven|S|4"] = {
					[1] = "13408",
					[2] = "13409",
					[4] = "13405",
					[5] = "13404",
				},
				["Baroness Anastari|N|5"] = {
					[1] = "13534",
					[2] = "18729",
					[4] = "13539",
					[5] = "18730",
					[6] = "18728",
					[7] = "16704",
					[8] = "13538",
					[9] = "13537",
					[10] = "13535",
				},
				["Magistrate Barthilas|N|6"] = {
					[1] = "18725",
					[2] = "18727",
					[3] = "13376",
					[4] = "18722",
					[5] = "18726",
				},
				["Maleki the Pallid|N|7"] = {
					[1] = "16691",
					[2] = "18734",
					[3] = "13527",
					[4] = "13509",
					[5] = "18735",
					[6] = "18737",
					[7] = "13526",
					[8] = "13525",
					[9] = "12833",
					[10] = "13524",
					[11] = "13528",
				},
				["Nerub'enkan|N|8"] = {
					[1] = "18738",
					[2] = "18740",
					[3] = "13532",
					[4] = "16675",
					[5] = "13529",
					[6] = "13530",
					[7] = "13508",
					[8] = "13533",
					[9] = "18739",
					[10] = "13531",
				},
				["Postmaster Malown|N|9"] = {
					[1] = "13393",
					[2] = "13391",
					[3] = "13388",
					[4] = "13392",
					[5] = "13389",
					[6] = "13390",
				},
				["Balzaphon|N|10"] = {
					[1] = "23125",
					[2] = "23126",
					[3] = "23124",
				},
				["Ramstein the Gorger|N|11"] = {
					[1] = "16737",
					[2] = "13373",
					[3] = "13375",
					[4] = "13372",
					[5] = "18723",
					[6] = "13515",
					[7] = "13374",
				},
				["Timmy the Cruel|N|12"] = {
					[1] = "13402",
					[2] = "13400",
					[3] = "16724",
					[4] = "13403",
					[5] = "13401",
				},
				["Cannon Master Willey|N|13"] = {
					[1] = "13377",
					[2] = "18721",
					[3] = "13382",
					[4] = "22439",
					[5] = "13381",
					[6] = "22406",
					[7] = "22404",
					[8] = "12839",
					[9] = "16708",
					[10] = "13380",
					[11] = "22403",
					[12] = "22405",
				},
				["Archivist Galford|N|14"] = {
					[1] = "16692",
					[2] = "18716",
					[3] = "13385",
					[4] = "13387",
					[5] = "13386",
				},
				["Balnazzar|B|15"] = {
					[1] = "13353",
					[2] = "16725",
					[3] = "13369",
					[4] = "13348",
					[5] = "13359",
					[6] = "12103",
					[7] = "18720",
					[8] = "14512",
					[9] = "13360",
					[10] = "13358",
					[12] = "18717",
					[13] = "18718",

				},
				["Jarien|N|16"] = {
					[1] = "22334",
					[2] = "22301",
					[3] = "22327",
					[4] = "22328",
					[5] = "22329",
				},
				["Sothos|N|17"] = {
					[1] = "22334",
					[2] = "22301",
					[3] = "22327",
					[4] = "22328",
					[5] = "22329",
				},
				["Baron Rivendare|B|18"] = {
					[1] = "13349",
					[2] = "13368",
					[3] = "13344",
					[4] = "16668",
					[5] = "13361",
					[6] = "16694",
					[7] = "13345",
					[8] = "16709",
					[9] = "16678",
					[10] = "16719",
					[11] = "16732",
					[12] = "16728",
					[13] = "13346",
					[14] = "13335",
					[15] = "13340",
					[16] = "16687",
					[17] = "13505",
					[18] = "16699",
					[19] = "22408",
					[20] = "22411",
					[21] = "22410",
					[22] = "22412",
				},
				["Trash|T"] = {
					[1] = "17061",
					[2] = "18743",
					[3] = "18741",
					[4] = "16052",
					[5] = "18658",
					[6] = "18742",
					[7] = "16248",
					[8] = "16249",
				},
				["Quest Reward|T"] = {
					[1] = "13249",
					[2] = "13243",
					[3] = "13246",
					[4] = "13216",
					[5] = "13217",
					[6] = "13315",
					[7] = "17044",
					[8] = "17045",
					[9] = "13171",
					[10] = "18022",
					[11] = "17001",
					[12] = "19812",
					[13] = "13209",
					[14] = "15421",
					[15] = "16058",
					[16] = "15411",
					[17] = "15418",
					[18] = "15413",
				},
			},
			["Scholomance|9"] = {
				["Kirtonos the Herald|N|1"] = {
					[1] = "13960",
					[2] = "16734",
					[3] = "13983",
					[4] = "13967",
					[5] = "13957",
					[6] = "14024",
					[7] = "13955",
					[8] = "13956",
					[9] = "13969",
				},
				["Jandice Barov|N|2"] = {
					[1] = "18689",
					[2] = "14543",
					[3] = "22394",
					[4] = "14548",
					[5] = "14541",
					[6] = "14545",
					[7] = "16701",
					[8] = "18690",
				},
				["Marduk Blackpool|N|3"] = {
					[1] = "14576",
					[2] = "18692",
				},
				["Vectus|N|4"] = {
					[1] = "14577",
					[2] = "18691",
				},
				["Ras Frostwhisper|N|5"] = {
					[1] = "18696",
					[2] = "18693",
					[3] = "13952",
					[4] = "18695",
					[5] = "14503",
					[6] = "14525",
					[7] = "14340",
					[8] = "14487",
					[9] = "14502",
					[10] = "13314",
					[11] = "18694",
					[12] = "16689",
					[13] = "14522",

				},
				["Kormok|N|6"] = {
					[1] = "22332",
					[2] = "22326",
					[3] = "22303",
					[4] = "22333",
					[5] = "22331",
				},
				["Lord Blackwood|N|7"] = {
					[1] = "23156",
					[2] = "23132",
					[3] = "23139",
				},
				["Rattlegore|N|8"] = {
					[1] = "14539",
					[2] = "14537",
					[3] = "14528",
					[4] = "14531",
					[5] = "16711",
					[6] = "14538",
					[7] = "18686",
				},
				["Death Knight Darkreaver|N|9"] = {
					[1] = "18758",
					[2] = "18761",
					[3] = "18760",
					[4] = "18759",
				},
				["Named common|T|10"] = {
				---- 조교 말리시아 / 학자 테올렌 크리스티노브 / 여군주 일루시아 바로브
				---- 군주 알렉사이 바로브 / 현자 폴켄트 / 라베니안
					[1] = "23201",
					[2] = "23200",
					[3] = "18684",
					[4] = "18683",
					[5] = "18681",
					[6] = "18680",
					[7] = "18682",
					[8] = "14626",
					[9] = "14631",
					[10] = "14629",
					[11] = "14632",
					[12] = "14633",
					[13] = "14637",
					[14] = "14640",
					[15] = "14641",
					[16] = "14636",
					[17] = "14638",
					[18] = "14624",
					[19] = "14622",
					[20] = "14620",
					[21] = "14621",
					[22] = "14623",
					[23] = "14616",
					[24] = "14615",
					[25] = "14614",
					[26] = "14611",
					[27] = "14612",
				},
				["Darkmaster Gandling|B|11"] = {
					[1] = "16693",
					[2] = "16686",
					[3] = "16731",
					[4] = "16727",
					[5] = "16667",
					[6] = "16698",
					[7] = "16677",
					[8] = "16720",
					[9] = "16707",
					[10] = "13944",
					[11] = "13964",
					[12] = "13950",
					[13] = "13951",
					[14] = "13398",
					[15] = "13953",
					[16] = "13938",
					[17] = "14514",
					[18] = "13937",
					[19] = "22433",
				},
				["Trash|T"] = {
					[1] = "14536",
					[2] = "18697",
					[3] = "18701",
					[4] = "18702",
					[5] = "18700",
					[6] = "18699",
					[7] = "18698",
					[8] = "16254",
					[9] = "16255",
				},
				["Quest Reward|T"] = {
					[1] = "15854",
					[2] = "15853",
					[3] = "15806",
					[4] = "15805",
					[5] = "13982",
					[6] = "13986",
					[7] = "13984",
					[8] = "14002",
				},
			},
			["Lower Blackrock Spire|10"] = {
				["Bannok Grimaxe|S|1"] = {
					[1] = "12634",
					[2] = "12621",
					[3] = "12637",
					[4] = "12838",
				},
				["Burning Felguard|S|2"] = {
					[1] = "13182",
					[2] = "13181",
				},
				["Shadow Hunter Vosh'gajin|N|3"] = {
					[1] = "12651",
					[2] = "12653",
					[3] = "12654",
					[4] = "13255",
					[5] = "12626",
					[6] = "16712",
					[7] = "13257",
				},
				["Spirestone Battle Lord|S|4"] = {
					[1] = "13285",
					[2] = "13284",
				},
				["Spirestone Butcher|S|5"] = {
					[1] = "13286",
					[2] = "12608",
				},
				["Spirestone Lord Magus|N|6"] = {
					[1] = "13283",
					[2] = "13261",
					[3] = "13282",
				},
				["Highlord Omokk|N|7"] = {
					[1] = "16670",
					[2] = "13167",
					[3] = "13168",
					[4] = "13166",
					[5] = "13169",
					[6] = "13170",
				},
				["War Master Voone|N|8"] = {
					[1] = "22231",
					[2] = "13175",
					[3] = "13177",
					[4] = "13178",
					[5] = "16676",
					[6] = "12582",
					[7] = "28972",
					[8] = "13179",
				},
				["Mor Grayhoof|N|9"] = {
					[1] = "22322",
					[2] = "22319",
					[3] = "22398",
					[4] = "22325",
					[5] = "22306",
				},
				["Crystal Fang|S|10"] = {
					[1] = "13184",
					[6] = "13218",
					[7] = "13185",
				},
				["Mother Smolderweb|N|11"] = {
					[1] = "13244",
					[2] = "13213",
					[3] = "16715",
					[4] = "13183",
				},
				["Urok Doomhowl|N|12"] = {
					[1] = "22232",
					[2] = "13259",
					[3] = "13258",
				},
				["Halycon|N|13"] = {
					[1] = "22313",
					[2] = "13211",
					[3] = "13212",
					[4] = "13210",
				},
				["Gizrul the Slavener|N|14"] = {
					[1] = "13205",
					[2] = "13206",
					[3] = "13208",
					[4] = "16718",
				},
				["Ghok Bashguud|S|15"] = {
					[1] = "13198",
					[2] = "13204",
					[3] = "13203",
				},
				["Quartermaster Zigris|N|16"] = {
				--	["무력의 손길"] = {[1] = "드랍",[2] = "검은바위첨탑(하층)",[3] = "병참장교 지그리스"},
					[2] = "13253",
					[3] = "13252",
					[4] = "12835",
				},
				["Overlord Wyrmthalak|B|17"] = {
					[1] = "13164",
					[2] = "13148",
					[3] = "13162",
					[4] = "13163",
					[5] = "13143",
					[6] = "13161",
					[7] = "22321",
					[8] = "16679",
				},
				["Trash|T"] = {
					[1] = "16250",
					[2] = "14513",
					[3] = "13260",
					[4] = "13494",
				},
				["Quest Reward|T"] = {
					[1] = "15858",
					[2] = "15859",
					[3] = "15824",
					[4] = "15827",
					[5] = "15825",
					[6] = "12529",
					[7] = "12264",
					[8] = "15873",
					[9] = "15867",
					[10] = "13958",
					[11] = "13959",
					[12] = "13961",
					[13] = "13963",
					[14] = "13962",
				},
			},
			["Upper Blackrock Spire|11"] = {
				["Jed Runewatcher|S|1"] = {
					[1] = "12605",
					[2] = "12604",
					[3] = "12930",
				},
				["Pyroguard Emberseer|N|2"] = {
					[1] = "12929",
					[2] = "16672",
					[3] = "12926",
					[4] = "12905",
					[5] = "12927",
				},
				["Solakar Flamewreath|N|3"] = {
					[1] = "12606",
					[2] = "12609",
					[3] = "12603",
					[4] = "12589",
					[5] = "16695",
					[6] = "18657",
				},
				["Goraluk Anvilcrack|N|4"] = {
					[1] = "18048",
					[2] = "18047",
					[3] = "13502",
					[4] = "12728",
					[5] = "12837",
					[6] = "13498",
					[7] = "12834",
				},
				["The Beast|N|5"] = {
					[1] = "12967",
					[2] = "12969",
					[3] = "12709",
					[4] = "22311",
					[5] = "12968",
					[6] = "16729",
					[7] = "12963",
					[8] = "12966",
					[9] = "12964",
					[10] = "12965",
				},
				["Lord Valthalak|N|6"] = {
					[1] = "22337",
					[2] = "22343",
					[3] = "22302",
					[4] = "22340",
					[5] = "22342",
					[6] = "22339",
					[7] = "22336",
					[8] = "22335",
				},
				["Warchief Rend Blackhand|N|7"] = {
					[1] = "12587",
					[2] = "12590",
					[3] = "18103",
					[4] = "18102",
					[5] = "22247",
					[6] = "12940",
					[7] = "18104",
					[8] = "16733",
					[9] = "12935",
					[10] = "12583",
					[11] = "19112",
					[12] = "12936",
					[13] = "12588",
					[14] = "12939",
				},
				["Gyth|N|8"] = {
					[1] = "22225",
					[2] = "12953",
					[3] = "12952",
					[4] = "16669",
					[5] = "12960",

				},
				["General Drakkisath|B|9"] = {
					[1] = "22268",
					[2] = "13098",
					[3] = "13142",
					[4] = "12592",
					[5] = "13141",
					[6] = "12602",
					[7] = "22253",
					[8] = "22267",
					[9] = "22269",
					[10] = "16730",
					[11] = "16726",
					[12] = "16666",
					[13] = "16690",
					[14] = "16688",
					[15] = "16674",
					[16] = "16721",
					[17] = "16706",
					[18] = "16700",
				},
				["Trash|T"] = {
					[1] = "16244",
					[2] = "16247",
				},
				["Quest Reward|T"] = {
					[1] = "15860",
					[2] = "15861",
					[3] = "13966",
					[4] = "13968",
					[5] = "13965",
				},
			},
			["Molten Core|R|12"] = {
				["Lucifron|N|1"] = {
					[1] = "16859",
					[2] = "16863",
					[3] = "16829",
					[4] = "16800",
					[5] = "16837",
					[6] = "16805",
					[7] = "17109",
					[8] = "18878",
					[9] = "18870",
					[10] = "19145",
					[11] = "17077",
					[12] = "19147",
					[13] = "19146",
					[14] = "18875",
					[15] = "18872",
					[16] = "18879",
				},
				["Magmadar|N|2"] = {
					[1] = "16814",
					[2] = "16822",
					[3] = "16867",
					[4] = "16855",
					[5] = "16810",
					[6] = "16835",
					[7] = "16796",
					[8] = "16843",
					[9] = "16847",
					[10] = "18203",
					[11] = "17073",
					[12] = "17069",
					[13] = "17065",
					[14] = "18822",
					[15] = "19143",
					[16] = "18821",
					[17] = "18829",
					[18] = "18820",
					[19] = "19136",
					[00] = "19142",
					[21] = "18824",
					[22] = "19144",
					[23] = "18823",
				},
				["Gehennas|N|3"] = {
					[1] = "16812",
					[2] = "16862",
					[3] = "16860",
					[4] = "16826",
					[5] = "16849",
					[6] = "16839",
					[7] = "18878",
					[8] = "18870",
					[9] = "19145",
					[10] = "17077",
					[11] = "19147",
					[12] = "19146",
					[13] = "18875",
					[14] = "18872",
					[15] = "18879",
				},
				["Garr|N|4"] = {
					[1] = "16866",
					[2] = "16854",
					[3] = "16795",
					[4] = "16821",
					[5] = "16834",
					[6] = "16842",
					[7] = "16846",
					[8] = "16813",
					[9] = "16808",
					[10] = "18832",
					[11] = "17105",
					[12] = "17066",
					[13] = "17071",
					[14] = "18822",
					[15] = "19143",
					[16] = "18821",
					[17] = "18829",
					[18] = "18820",
					[19] = "19136",
					[20] = "19142",
					[21] = "18824",
					[22] = "19144",
					[23] = "18823",
					[24] = "18564",
				},
				["Baron Geddon|N|5"] = {
					[1] = "17110",
					[2] = "16856",
					[3] = "16844",
					[4] = "16836",
					[5] = "16797",
					[6] = "16807",
					[7] = "18822",
					[8] = "19143",
					[9] = "18821",
					[10] = "18829",
					[11] = "18820",
					[12] = "19136",
					[13] = "19142",
					[14] = "18824",
					[15] = "19144",
					[16] = "18823",
					[17] = "18563",
				},
				["Shazzrah|N|6"] = {
					[1] = "16811",
					[2] = "16824",
					[3] = "16831",
					[4] = "16801",
					[5] = "16852",
					[6] = "16803",
					[7] = "18878",
					[8] = "18870",
					[9] = "19145",
					[10] = "17077",
					[11] = "19147",
					[12] = "19146",
					[13] = "18875",
					[14] = "18872",
					[15] = "18879",
				},
				["Sulfuron Harbinger|N|7"] = {
					[1] = "17074",
					[2] = "17223",
					[3] = "16868",
					[4] = "16848",
					[5] = "16816",
					[6] = "16823",
					[7] = "18878",
					[8] = "18870",
					[9] = "19145",
					[10] = "17077",
					[11] = "19147",
					[12] = "19146",
					[13] = "18875",
					[14] = "18872",
					[15] = "18879",
				},
				["Golemagg the Incinerator|N|8"] = {
					[1] = "16865",
					[2] = "16853",
					[3] = "16815",
					[4] = "16833",
					[5] = "16798",
					[6] = "16841",
					[7] = "16845",
					[8] = "16809",
					[9] = "16820",
					[10] = "18842",
					[11] = "17103",
					[12] = "17072",
					[13] = "18822",
					[14] = "19143",
					[15] = "18821",
					[16] = "18829",
					[17] = "18820",
					[18] = "19136",
					[19] = "19142",
					[20] = "18824",
					[21] = "19144",
					[22] = "18823",
				},
				["Majordomo Executus|N|9"] = {
					[1] = "18811",
					[2] = "19140",
					[3] = "18806",
					[4] = "18812",
					[5] = "18803",
					[6] = "18805",
					[7] = "18808",
					[8] = "19139",
					[9] = "18810",
					[10] = "18809",
				},
				["Ragnaros|B|10"] = {
					[1] = "16915",
					[2] = "16909",
					[3] = "16962",
					[4] = "16954",
					[5] = "16946",
					[6] = "16922",
					[7] = "16930",
					[8] = "16938",
					[9] = "16901",
					[10] = "18817",
					[11] = "17076",
					[12] = "18816",
					[13] = "17107",
					[14] = "17102",
					[15] = "19137",
					[16] = "17082",
					[17] = "17104",
					[18] = "17982",
					[19] = "17063",
					[20] = "19138",
					[21] = "18814",
					[22] = "18815",
					[23] = "17106",
					[24] = "17204",
				},
				["Boss common|T"] = {
					[1] = "18861",
					[2] = "18290",
					[3] = "18292",
					[4] = "18291",
					[5] = "18257",
					[6] = "21371",
					[7] = "18265",
					[8] = "18252",
					[9] = "18264",
					[10] = "18260",
					[11] = "18259",
				},
				["Trash|T"] = {
					[1] = "16819",
					[2] = "16825",
					[3] = "16861",
					[4] = "16857",
					[5] = "16799",
					[6] = "16830",
					[7] = "16840",
					[8] = "16850",
					[9] = "16804",
					[10] = "16817",
					[11] = "16864",
					[12] = "16858",
					[13] = "16802",
					[14] = "16828",
					[15] = "16827",
					[16] = "16838",
					[17] = "16851",
					[18] = "16806",
				},
				["Quest Reward|T"] = {
					[1] = "18399",
					[2] = "18398",
					[3] = "17182",
					[4] = "19019",
				},
			},
			["Blackwing Lair|R|13"] = {
				["Razorgore the Untamed|N|1"] = {
					[1] = "16959",
					[2] = "16926",
					[3] = "16951",
					[4] = "16943",
					[5] = "16918",
					[6] = "16934",
					[7] = "16935",
					[8] = "16904",
					[9] = "16911",
					[10] = "19337",
					[12] = "19335",
					[13] = "19334",
					[14] = "19336",
					[15] = "19369",
					[16] = "19370",
				},
				["Vaelastrasz the Corrupt|N|2"] = {
					[1] = "16925",
					[2] = "16933",
					[3] = "16960",
					[4] = "16952",
					[5] = "16944",
					[6] = "16818",
					[7] = "16936",
					[8] = "16903",
					[9] = "16910",
					[10] = "19346",
					[11] = "19340",
					[12] = "19339",
					[13] = "19371",
					[14] = "19372",
					[15] = "19348",
				},
				["Broodlord Lashlayer|N|3"] = {
					[1] = "16927",
					[2] = "16949",
					[3] = "16919",
					[4] = "16912",
					[5] = "16965",
					[6] = "16957",
					[7] = "16941",
					[8] = "16898",
					[9] = "16906",
					[10] = "19342",
					[11] = "19341",
					[12] = "19350",
					[13] = "19373",
					[14] = "19374",
					[15] = "19351",
				},
				["Firemaw|N|4"] = {
					[1] = "19399",
					[2] = "19398",
					[3] = "19365",
					[4] = "19344",
					[5] = "19400",
					[6] = "19343",
					[7] = "19433",
					[8] = "19402",
					[9] = "19401",
					[10] = "16920",
					[11] = "16928",
					[12] = "16964",
					[13] = "16956",
					[14] = "16948",
					[15] = "16899",
					[16] = "16913",
					[17] = "16940",
					[18] = "16907",
					[19] = "19395",
					[20] = "19397",
					[21] = "19353",
					[22] = "19355",
					[23] = "19394",
					[24] = "19396",
				},
				["Ebonroc|N|5"] = {
					[1] = "19406",
					[2] = "19368",
					[3] = "19345",
					[4] = "19407",
					[5] = "19403",
					[6] = "19405",
					[7] = "16920",
					[8] = "16928",
					[9] = "16964",
					[10] = "16956",
					[11] = "16948",
					[12] = "16899",
					[13] = "16913",
					[14] = "16940",
					[15] = "16907",
					[16] = "19395",
					[17] = "19397",
					[18] = "19353",
					[19] = "19355",
					[20] = "19394",
					[21] = "19396",
				},
				["Flamegor|N|6"] = {
					[1] = "19367",
					[2] = "19357",
					[3] = "19430",
					[4] = "19433",
					[5] = "19432",
					[6] = "19431",
					[7] = "16920",
					[8] = "16928",
					[9] = "16964",
					[10] = "16956",
					[11] = "16948",
					[12] = "16899",
					[13] = "16913",
					[14] = "16940",
					[15] = "16907",
					[16] = "19395",
					[17] = "19397",
					[18] = "19353",
					[19] = "19355",
					[20] = "19394",
					[21] = "19396",
				},
				["Chromaggus|N|7"] = {
					[1] = "16945",
					[2] = "16961",
					[3] = "16953",
					[4] = "16932",
					[5] = "16924",
					[6] = "16937",
					[7] = "16902",
					[8] = "16832",
					[9] = "16917",
					[10] = "19387",
					[11] = "19347",
					[12] = "19392",
					[13] = "19390",
					[14] = "19388",
					[15] = "19349",
					[16] = "19386",
					[17] = "19391",
					[18] = "19352",
					[19] = "19361",
					[20] = "19385",
					[21] = "19389",
					[22] = "19393",
				},
				["Nefarian|B|8"] = {
					[1] = "16966",
					[2] = "16958",
					[3] = "16950",
					[4] = "16923",
					[5] = "16931",
					[6] = "16916",
					[7] = "16942",
					[8] = "16897",
					[9] = "16905",
					[10] = "19379",
					[11] = "19378",
					[12] = "19380",
					[13] = "19381",
					[14] = "19356",
					[15] = "19377",
					[16] = "19382",
					[17] = "19360",
					[18] = "19376",
					[19] = "19363",
					[20] = "19364",
					[21] = "19375",
				},
				["Trash|T"] = { 
					[1] = "19358", --벨라 2층 일반몹
					[2] = "19436",
					[3] = "19437",
					[4] = "19354",-- 화염아귀 ~ 에본로크 사이 일반몹 
					[5] = "19362",
					[6] = "19439",
					[7] = "19435",
					[8] = "19434",
					[9] = "19438",
				},
			},
			["Zul'Gurub|R|14"] = {
				["High Priestess Jeklik|N|1"] = {
					[1] = "20262",
					[2] = "19918",
					[3] = "19920",
					[4] = "19915",
					[5] = "20265",
					[6] = "19923",
					[7] = "19928",
				},
				["High Priest Venoxis|N|2"] = {
					[1] = "22721",
					[2] = "19905",
					[3] = "19900",
					[4] = "19906",
					[5] = "19903",
					[6] = "19904",
					[7] = "19907",
				},
				["High Priestess Mar'li|N|3"] = {
					[1] = "19930",
					[2] = "19925",
					[3] = "19927",
					[4] = "20032",
					[5] = "19871",
					[6] = "19919",
				},
				["Bloodlord Mandokir|N|4"] = {
					[1] = "19893",
					[2] = "19874",
					[3] = "19866",
					[4] = "19869",
					[5] = "19895",
					[6] = "19867",
					[7] = "20038",
					[8] = "19863",
					[9] = "19870",
					[10] = "19878",
					[11] = "19873",
					[12] = "19877",
					[13] = "19872",
				},
			--	["광란의 경계|N|5"] = {
				["Wushoolay|N|5"] = {
					[1] = "19993",
				},
				["Renataki|N|5"] = {
					[2] = "19963",
					[8] = "19964",
				},
				["Hazza'rah|N|5"] = {
					[3] = "19967",
					[4] = "19968",
				},
				["Gri'lek|N|5"] = {
					[5] = "19961",
					[7] = "19962",
				},
				["Wushoolay|N|5"] = {
					[6] = "19965",
				},
				["Gahz'ranka|N|6"] = {
					[1] = "19946",
					[2] = "19945",
					[3] = "19947",
					[4] = "19944",
					[5] = "22739",
				},
				["High Priest Thekal|N|7"] = {
					[1] = "19898",
					[2] = "19901",
					[3] = "19897",
					[4] = "19896",
					[5] = "19899",
					[6] = "20260",
					[7] = "20266",
					[8] = "19902",
				},
				["High Priestess Arlokk|N|8"] = {
					[1] = "19909",
					[2] = "19914",
					[3] = "19913",
					[4] = "19910",
					[5] = "19912",
					[6] = "19922",
				},
				["Jin'do the Hexxer|N|9"] = {
					[1] = "19884",
					[2] = "19885",
					[3] = "19888",
					[4] = "19890",
					[5] = "19886",
					[6] = "19929",
					[7] = "19892",
					[8] = "19891",
					[9] = "19894",
					[10] = "19875",
					[11] = "19887",
					[12] = "19889",
				},
				["Hakkar|B|10"] = {
					[1] = "19861",
					[2] = "19864",
					[3] = "19856",
					[4] = "19857",
					[5] = "19865",
					[6] = "20257",
					[7] = "19862",
					[8] = "20264",
					[9] = "19855",
					[10] = "19876",
					[11] = "19859",
					[12] = "19854",
					[13] = "19852",
					[14] = "19853",
				},
				["Trash|T"] = {
					[1] = "19908",
					[2] = "20258",
					[3] = "20263",
					[4] = "19921",
					[5] = "20259",
					[6] = "20261",
				},
				["Boss common"] = {
					[1] = "22712",
					[2] = "22721",
					[3] = "22715",
					[4] = "22714",
					[5] = "22720",
					[6] = "22718",
					[7] = "22713",
					[8] = "22711",
					[9] = "22722",
					[10] = "22716",
				},
				["Quest Reward|T"] = {
					[1] = "20216",
					[2] = "20215",
					[3] = "20217",
					[4] = "20213",
				},
			},
			["Naxxramas|R|15"] = {
				["Patchwerk|N|1"] = {
					[1] = "22815",
					[2] = "22960",
					[3] = "22818",
					[4] = "22820",
					[5] = "22961",
				},
				["Grobbulus|N|2"] = {
					[1] = "22810",
					[2] = "22988",
					[3] = "22803",
					[4] = "22968",
					[5] = "22967",
				},
				["Gluth|N|3"] = {
					[1] = "23075",
					[2] = "22983",
					[3] = "22813",
					[4] = "22981",
					[5] = "22994",
				},
				["Thaddius|N|4"] = {
					[1] = "23001",
					[2] = "22808",
					[3] = "22801",
					[4] = "23070",
					[5] = "23000",
				},
				["Anub'Rekhan|N|5"] = {
					[1] = "22935",
					[2] = "22937",
					[3] = "22936",
					[4] = "22938",
					[5] = "22939",
				},
				["Grand Widow Faerlina|N|6"] = {
					[1] = "22943",
					[2] = "22940",
					[3] = "22941",
					[4] = "22942",
					[5] = "22806",
				},
				["Maexxna|N|7"] = {
					[1] = "22807",
					[2] = "22954",
					[3] = "22804",
					[4] = "23220",
					[5] = "22947",
				},
				["Instructor Razuvious|N|8"] = {
					[1] = "23004",
					[2] = "23017",
					[3] = "23219",
					[4] = "23009",
					[5] = "23018",
					[6] = "23014",
				},
				["Gothik the Harvester|N|9"] = {
					[1] = "23020",
					[2] = "23073",
					[3] = "23032",
					[4] = "23021",
					[5] = "23023",
				},
				["The Four Horsemen|N|10"] = {
					[1] = "22811",
					[2] = "23071",
					[3] = "23025",
					[4] = "23027",
					[5] = "22691",
					[6] = "22809",
				},
				["Noth the Plaguebringer|N|11"] = {
					[1] = "23028",
					[2] = "23031",
					[3] = "23030",
					[4] = "22816",
					[5] = "23005",
					[6] = "23029",
					[7] = "23006",
				},
				["Heigan the Unclean|N|12"] = {
					[1] = "23035",
					[2] = "23036",
					[3] = "23019",
					[4] = "23068",
					[5] = "23033",
				},
				["Loatheb|N|13"] = {
					[1] = "23039",
					[2] = "22800",
					[3] = "23042",
					[4] = "23038",
					[5] = "23037",
				},
				["Sapphiron|N|14"] = {
					[1] = "23047",
					[2] = "23043",
					[3] = "23040",
					[4] = "23041",
					[5] = "23045",

					[6] = "23242",
					[7] = "23050",
					[8] = "23049",
					[9] = "23048",
					[10] = "23046",

					[11] = "23549",
					[12] = "23547",
					[13] = "23548",
					[14] = "23545",
				},
				["Kel'Thuzad|N|15"] = {
					[1] = "22802",
					[2] = "23577",
					[3] = "22798",
					[4] = "22819",

				--	["부동의 장갑"] = {[1] = "드랍",[2] = "낙스라마스<공>",[3] = "켈투자드"},
					[6] = "22821",
					[7] = "22799",
					[8] = "23056",
					[9] = "23057",
					[10] = "22812",
					[11] = "23053",
					[12] = "23054",
					[13] = "22733",
				},
				["Boss common|T"] = {
					[1] = "22726",
				},
				["Trash|T"] = {
					[1] = "23044",
					[2] = "23069",
					[3] = "23221",
					[4] = "23237",
					[5] = "23663",
					[6] = "23664",
					[7] = "23665",
					[8] = "23226",
					[9] = "23666",
					[10] = "23667",
					[11] = "23668",
					[12] = "23238",
					[13] = "22631",
				},
			},
			["Karazhan|R|17"] = {
				["Attumen the Huntsman|N|1"] = {
					[1] = "28504",
					[2] = "28502",
					[3] = "28477",
					[4] = "28510",
					[5] = "28503",
--					[6] = "28589",
					[6] = "28453",
					[7] = "30480",
					[8] = "28508",
					[9] = "28509",
					[10] = "28506",
					[11] = "28454",
					[12] = "28505",
					[13] = "28507",
					[14] = "23809",
				},
				["Hyakiss the Lurker|N|2"] = {
					[1] = "30678",
					[2] = "30675",
					[3] = "30677",
					[4] = "30676",
				},
				["Rokad the Ravager|N|3"] = {
					[1] = "30687",
					[2] = "30684",
					[3] = "30686",
					[4] = "30685",
				},
				["Shadikith the Glider|N|4"] = {
					[1] = "30683",
					[2] = "30682",
					[3] = "30681",
					[4] = "30680",
				},
				["Moroes|N|5"] = {
					[1] = "28569",
					[2] = "28568",
					[3] = "28567",
					[4] = "28566",
					[5] = "28565",
					[6] = "28524",
					[7] = "28570",
					[8] = "28529",
					[9] = "28545",
					[10] = "28525",
					[11] = "28530",
					[12] = "28528",
					[13] = "22559",
				},
				["Maiden of Virtue|N|6"] = {
					[1] = "28517",
					[2] = "28522",
					[3] = "28519",
					[4] = "28520",
					[5] = "28511",
					[6] = "28523",
					[7] = "28512",
					[8] = "28514",
					[9] = "28521",
					[10] = "28516",
					[11] = "28518",
					[12] = "28515",
				},

				["The Crone|N|7"] = {
					[1] = "28585",
					[2] = "28587",
					[3] = "28586",
					[4] = "28588",
					[5] = "28590",
					[6] = "28593",
					[7] = "28594",
					[8] = "28589",
					[9] = "28592",
					[10] = "28591",
				},
				["The Big Bad Wolf|N|8"] = {
					[1] = "28582",
					[2] = "28581",
					[3] = "28584",
					[4] = "28583",
					[5] = "28590",
					[6] = "28593",
					[7] = "28594",
					[8] = "28589",
					[9] = "28592",
					[10] = "28591",
				},
				["Romulo & Julianne|N|9"] = {
					[1] = "28573",
					[2] = "28579",
					[3] = "28578",
					[4] = "28572",
					[5] = "28590",
					[6] = "28593",
					[7] = "28594",
					[8] = "28589",
					[9] = "28592",
					[10] = "28591",
				},
				["The Curator|N|10"] = {
					[1] = "29756",
					[2] = "29757",
					[3] = "29758",
					[4] = "28621",
					[5] = "28612",
					[6] = "28647",
					[7] = "28649",
					[8] = "28633",
					[9] = "28631",
				},
				["Terestian Illhoof|N|11"] = {
					[1] = "28652",
					[2] = "28657",
					[3] = "28785",
					[4] = "28656",
					[5] = "28659",
					[6] = "28660",
					[7] = "28662",
					[8] = "28654",
					[9] = "28655",
					[10] = "28661",
					[11] = "28658",
					[12] = "28653",
					[13] = "22561",
				},
				["Shade of Aran|N|12"] = {
					[1] = "28669",
					[2] = "28670",
					[3] = "28671",
					[4] = "28674",
					[5] = "28672",
					[6] = "28727",
					[7] = "28728",
					[8] = "28675",
					[9] = "28673",
					[10] = "28666",
					[11] = "28726",
					[12] = "28663",
					[13] = "22560",
				},
				["Chess Event|N|13"] = {
					[1] = "28749",
					[2] = "28750",
					[3] = "28746",
					[4] = "28752",
					[5] = "28747",
					[6] = "28753",
					[7] = "28748",
					[8] = "28754",
					[9] = "28756",
					[10] = "28751",
					[11] = "28745",
					[12] = "28755",
				},
				["Netherspite|N|14"] = {
					[1] = "28742",
					[2] = "28732",
					[3] = "28733",
					[4] = "28729",
					[5] = "28741",
					[6] = "28735",
					[7] = "28730",
					[8] = "28740",
					[9] = "28731",
					[10] = "28744",
					[11] = "28734",
					[12] = "28743",
				},
				["Prince Malchezaar|N|15"] = {
					[1] = "29759",
					[2] = "29760",
					[3] = "29761",
					[4] = "28768",
					[5] = "28767",
					[6] = "28771",
					[7] = "28773",
					[8] = "28763",
					[9] = "28766",
					[10] = "28765",
					[11] = "28757",
					[12] = "28762",
					[13] = "28764",
					[14] = "28770",
					[15] = "28772",
				},
				["Nightbane|B|16"] = {
					[1] = "28600",
					[2] = "28601",
					[3] = "28609",
					[4] = "28597",
					[5] = "28611",
					[6] = "28608",
					[7] = "28603",
					[8] = "28599",
					[9] = "28604",
					[10] = "28602",
					[11] = "28610",
					[12] = "28606",
				},
				["Trash|T|17"] = {
					[1] = "30642",
					[2] = "30668",
					[3] = "30644",
					[4] = "30641",
					[5] = "30673",
					[6] = "30643",
					[7] = "30667",
					[8] = "30674",
					[9] = "30666",
					[10] = "22545",
					[11] = "21904",
					[12] = "21903",
				},
				["Quest Reward|U|18"] = {
					[1] = "31113",
					[2] = "",
					[3] = "31117",
					[4] = "31118",
					[5] = "31116",
				},
			},
		},
		["World Drop|T|2"] = {
			["Dun Morogh"] = {
				["Great Father Arctikus"] = {
					[1] = "3223",
					[2] = L["Rare"].." "..L["Level"].." 11 "..L["Humanoid"],
				},
				["Gibblewilt"] = {
					[1] = "10553",
					[2] = "10554",
					[3] = L["Rare"].." "..L["Level"].." 11 "..L["Humanoid"],
				},
				["Hammerspine"] = {
					[1] = "2254",
					[2] = L["Rare"].." "..L["Level"].." 12 "..L["Humanoid"],
				},
			},
			["Loch Modan"] = { 
				["Grizlak"] = {
					[1] = "2284",
					[2] = "6195",
				},
				["Magosh"] = {
					[1] = "2241",
					[2] = "3571",
				},
				["Boss Galgosh"] = {
					[1] = "1938",
				},
				["Large Loch Crocolisk"] = {
					[1] = "3563",
					[2] = "6197",
				},
			},
			["Westfall"] = {
				["Sergeant Brashclaw"] = {
					[1] = "2204",
					[2] = "2203",
				},
				["Brack"] = {
					[1] = "2235",
					[2] = "6179",
				},
				["Leprithus"] = {
					[1] = "1314",
					[2] = "1387",
				},
				["Slark"] = {
					[1] = "6180",
					[2] = "3188",
				},
				["Master Digger"] = {
					[1] = "6205",
				},
				["Foe Reaper 4000"] = {
					[1] = "4434",
				},
				["Vultros"] = {
					[1] = "4454",
				},
			},
			["Redridge Mountains"] = {
				["Chatter"] = {
					[1] = "3229",
				},
				["Rohh the Silent"] = {
					[1] = "4446",
					[2] = "4447",
				},
				["Kazon"] = {
					[1] = "3231",
				},
			},
			["Wetlands"] = {
				["Lupos"] = {
					[1] = "3227",
				},
				["Ma'ruk Wyrmscale"] = {
					[1] = "5749",
				},
				["Leech Widow"] = {
					[1] = "6199",
					[2] = "4444",
				},
			},
			["Arathi Highlands"] = {
				["Razormaw Matriarch"] = {
					[1] = "6198",
				},
				["Singer"] = {
					[1] = "5181",
					[2] = "5180",
				},
				["Nimar the Slayer"] = {
					[1] = "5257",
					[2] = "2622",
				},
				["Prince Nazjak"] = {
					[1] = "1404",
				},
			},
			["Duskwood"] = {
				["Ysondre"] = {
					[1] = "20578", 
					[2] = "20635", 
					[3] = "20636", 
					[4] = "20637", 
					[5] = "20638", 
					[6] = "20639", 
					[7] = "20644", 
					[8] = "20579", 
					[9] = "20580", 
					[10] = "20581", 
					[11] = "20582", 
					[12] = "20615", 
					[13] = "20616", 
					[14] = "20617", 
					[15] = "20618", 
					[16] = "20619",
				},
				["Emeriss"] = {
					[1] = "20599", 
					[2] = "20621", 
					[3] = "20622", 
					[4] = "20623", 
					[5] = "20624", 
					[6] = "20644", 
					[7] = "20579", 
					[8] = "20580", 
					[9] = "20581", 
					[10] = "20582", 
					[11] = "20615", 
					[12] = "20616", 
					[13] = "20617", 
					[14] = "20618", 
					[15] = "20619",
				},
				["Lethon"] = { 
					[1] = "20625", 
					[2] = "20626", 
					[3] = "20627", 
					[4] = "20628", 
					[5] = "20629", 
					[6] = "20630", 
					[7] = "20644", 
					[8] = "20579", 
					[9] = "20580", 
					[10] = "20581", 
					[11] = "20582", 
					[12] = "20615", 
					[13] = "20616", 
					[14] = "20617", 
					[15] = "20618", 
					[16] = "20619",
				},
				["Taerar"] = { 
					[1] = "20577", 
					[2] = "20631", 
					[3] = "20632", 
					[4] = "20633", 
					[5] = "20634", 
					[6] = "20644", 
					[7] = "20579", 
					[8] = "20580", 
					[9] = "20581", 
					[10] = "20582", 
					[11] = "20615", 
					[12] = "20616", 
					[13] = "20617", 
					[14] = "20618", 
					[15] = "20619",
				},
				["Nefaru"] = {
					[1] = "4476",
					[2] = "4477",
				},
				["Lupos"] = {
					[1] = "3018",
				},
				["Ma'ruk Wyrmscale"] = {
					[1] = "5750",
				},
				["Naraxis"] = {
					[1] = "4448",
					[2] = "4449",
				},
				["Lord Malathrom"] = {
					[1] = "4462",
					[2] = "1187",
				},
				["Fenros"] = {
					[1] = "4474",
					[2] = "6204",
				},
				["Commander Felstrom"] = {
					[1] = "4465",
					[2] = "4464",
				},
			},
			["Alterac Mountains"] = {
				["Skhowl"] = {
					[1] = "6331",
				},
				["Lo'Grosh"] = {
					[1] = "6327",
					[2] = "1678",
					[3] = "4810",
				},
			},
			["Swamp of Sorrows"] = {
				["Molt Thorn"] = {
					[1] = "5608",
				},
			},
			["Stranglethorn Vale"] = {
				["Scale Belly"] = {
					[1] = "4478",
					[2] = "1604",
				},
				["Lord Sakrasis"] = {
					[1] = "5028",
					[2] = "5029",
				},
			},
			["Blackrock Mountain"] = {
				["The Behemoth"] = {
					[1] = "11603",
				},
			},
			["The Hinterlands"] = {
				["Ysondre"] = {
					[1] = "20578", 
					[2] = "20635", 
					[3] = "20636", 
					[4] = "20637", 
					[5] = "20638", 
					[6] = "20639", 
					[7] = "20644", 
					[8] = "20579", 
					[9] = "20580", 
					[10] = "20581", 
					[11] = "20582", 
					[12] = "20615", 
					[13] = "20616", 
					[14] = "20617", 
					[15] = "20618", 
					[16] = "20619",
				},
				["Emeriss"] = {
					[1] = "20599", 
					[2] = "20621", 
					[3] = "20622", 
					[4] = "20623", 
					[5] = "20624", 
					[6] = "20644", 
					[7] = "20579", 
					[8] = "20580", 
					[9] = "20581", 
					[10] = "20582", 
					[11] = "20615", 
					[12] = "20616", 
					[13] = "20617", 
					[14] = "20618", 
					[15] = "20619",
				},
				["Lethon"] = { 
					[1] = "20625", 
					[2] = "20626", 
					[3] = "20627", 
					[4] = "20628", 
					[5] = "20629", 
					[6] = "20630", 
					[7] = "20644", 
					[8] = "20579", 
					[9] = "20580", 
					[10] = "20581", 
					[11] = "20582", 
					[12] = "20615", 
					[13] = "20616", 
					[14] = "20617", 
					[15] = "20618", 
					[16] = "20619",
				},
				["Taerar"] = { 
					[1] = "20577", 
					[2] = "20631", 
					[3] = "20632", 
					[4] = "20633", 
					[5] = "20634", 
					[6] = "20644", 
					[7] = "20579", 
					[8] = "20580", 
					[9] = "20581", 
					[10] = "20582", 
					[11] = "20615", 
					[12] = "20616", 
					[13] = "20617", 
					[14] = "20618", 
					[15] = "20619",
				},
				["Mith'rethis the Enchanter"] = {
					[1] = "17050",
				},
			},
			["Eastern Plaguelands"] = {
				["Lord Darkscythe"] = {
					[1] = "16039",
				},
			},
			["Western Plaguelands"] = {
				["Foreman Marcrid"] = {
					[1] = "12836",
				},
			},
			["Elwynn Forest"] = {
				["Mother Fang"] = {
					[1] = "3000",
					[2] = L["Rare"].." "..L["Level"].." 10 "..L["Beast"],
				},
				["Morgaine the Sly"] = {
					[1] = "1917",
					[2] = L["Rare"].." "..L["Level"].." 10 "..L["Humanoid"],
				},
			},
			["Blasted Lands"] = {
				["Doom Lord Kazzak"] = {
					[1] = "18665",
					[2] = "18546",
					[3] = "17111",
					[4] = "17112",
					[5] = "18543",
					[6] = "18544",
					[7] = "19135",
					[8] = "17113",
					[9] = "18204",
					[10] = "19133",
					[11] = "19134",
				},
			},

		},

	},
	["Kalimdor|2"] ={
		["Instance|1"] = {
			["Ragefire Chasm|1"] = {
				["Jergosh the Invoker|1"] = {
					[1] = "14150",
					[2] = "14151",
					[3] = "14147",
				},
				["Taragaman the Hungerer|2"] = {
					[1] = "14145",
					[2] = "14149",
--					[3] = "1414",
				},
				["Quest Reward|T"] = {
					[1] = "15452",
					[2] = "15453",
					[3] = "15449",
					[4] = "15450",
					[5] = "15451",
				},
			},
			["Wailing Caverns|2"] = {
				["Boahn|N|1"] = {
					[1] = "5423",
					[2] = "5422",
				},
				["Deviate Faerie Dragon|S|2"] = {
					[1] = "5243",
					[2] = "6632",
				},
				["Kresh|N|2"] = {
					[1] = "13245",
				},
				["Lady Anacondra|N|3"] = {
					[1] = "10412",
				},
				["Lord Cobrahn|N|4"] = {
					[1] = "6465",
					[2] = "6460",
					[3] = "10410",
				},
				["Lord Pythas|N|5"] = {
					[1] = "6472",
					[2] = "6473",
				},
				["Lord Serpentis|N|6"] = {
					[1] = "6459",
					[2] = "5970",
					[3] = "10411",
					[4] = "6469",
				},
				["Mutanus the Devourer|N|7"] = {
					[1] = "6463",
					[2] = "6627",
					[3] = "6461",
				},
				["Skum|N|8"] = {
					[1] = "6448",
					[2] = "6449",
				},
				["Trigore the Lasher|N|9"] = {
					[1] = "5425",
					[2] = "5426",
				},
				["Verdan the Everliving|B|10"] = {
					[1] = "6629",
					[2] = "6631",
					[3] = "6630",
				},
				["Quest Reward|T"] = {
					[1] = "918",
					[2] = "6480",
					[3] = "10919",
					[4] = "8071",
					[5] = "9900",
					[6] = "6476",
					[7] = "6505",
					[8] = "6504",
				},
			},
			["Blackfathom Deeps|3"] = {
				["Ghamoo-ra|N|1"] = {
					[1] = "6908",
					[2] = "6907",
				},
				["Lady Sarevess|N|2"] = {
					[1] = "3078",
					[2] = "11121",
					[3] = "888",
				},
				["Gelihast|N|3"] = {
					[1] = "6905",
					[2] = "6906",
				},
				["Old Serra'kis|N|4"] = {
					[1] = "6902",
					[2] = "6904",
					[3] = "6901",
				},
				["Twilight Lord Kelris|N|5"] = {
					[1] = "6903",
					[2] = "1155",
				},
				["Aku'mai|B|6"] = {
					[1] = "6910",
					[2] = "6911",
					[3] = "6909",
				},
				["Trash|T|7"] = {
					[1] = "3414",
					[2] = "2567",
					[3] = "1481",
					[4] = "1491",
					[5] = "3413",
					[6] = "1486",
					[7] = "3415",
					[8] = "1454",
					[9] = "3417",
					[10] = "3416",
					[11] = "2271",
				},
				["Quest Reward|T"] = {
					[1] = "6743",
					[2] = "7003",
					[3] = "7004",
					[4] = "7000",
					[5] = "6998",
					[6] = "17694",
					[7] = "17695",
					[8] = "7001",
					[9] = "7002",
					[10] = "16886",
					[11] = "16887",
				},
			},
			["Razorfen Kraul|4"] = {
				["Earthcaller Halmgar|S|1"] = {
					[1] = "6689",
					[2] = "6688",
				},
				["Overlord Ramtusk|N|2"] = {
					[1] = "6686",
					[2] = "6687",
				},
				["Death Speaker Jargba|N|3"] = {
					[1] = "2816",
					[2] = "6682",
					[3] = "6685",
				},
				["Agathelos the Raging|N|4"] = {
					[1] = "6691",
					[2] = "6690",
				},
				["Blind Hunter|S|5"] = {
					[1] = "6696",
					[2] = "6695",
					[3] = "6697",
				},
				["Charlga Razorflank|B|6"] = {
					[1] = "6694",
					[2] = "6693",
					[3] = "6692",
				},
				["Trash|T|8"] = {
					[1] = "1727",
					[2] = "6679",
					[3] = "2039",
					[4] = "776",
					[5] = "1488",
					[6] = "2549",
					[7] = "1976",
					[8] = "1978",
					[9] = "2264",
					[10] = "4438",
					[11] = "1975",
				},
				["Quest Reward|T"] = {
					[1] = "6750",
					[2] = "6748",
					[3] = "6749",
					[4] = "6752",
					[5] = "6751",
					[6] = "4197",
					[7] = "6742",
					[8] = "6725",
					[9] = "29200",
				},
			},
			["Razorfen Downs|5"] = {
				["Tuten'kash|N|1"] = {
					[1] = "10776",
					[2] = "10775",
					[3] = "10777",
				},
				["Glutton|N|2"] = {
					[1] = "10772",
					[2] = "10774",
				},
				["Mordresh Fire Eye|N|3"] = {
					[1] = "10770",
					[2] = "10771",
					[3] = "10769",
				},
				["Lady Falther'ess|N|4"] = {
					[1] = "23178",
					[2] = "23177",
				},
				["Ragglesnout|S|5"] = {
					[1] = "10758",
					[2] = "10768",
					[3] = "10767",
				},
				["Plaguemaw the Rotting|N|6"] = {
					[1] = "10766",
					[2] = "10760",
				},
				["Amnennar the Coldbringer|B|7"] = {
					[1] = "10765",
					[2] = "10763",
					[3] = "10762",
					[4] = "10761",
					[5] = "10764",
				},
				["Trash|T"] = {
					[1] = "10570",
					[2] = "10578",
					[3] = "10573",
					[4] = "10572",
					[5] = "10584",
					[6] = "10583",
					[7] = "10582",
					[8] = "10571",
					[9] = "10581",
				},
				["Quest Reward|T"] = {
					[1] = "17039",
					[2] = "17042",
					[3] = "17043",
					[4] = "10710",
					[5] = "10824",
					[6] = "10823",
				},
			},
			["Zul'Farrak|6"] = {
				["Dustwraith|S|1"] = {
					[1] = "12471",
				},
				["Zerillis|S|2"] = {
					[1] = "12470",
				},
				["Gahz'rilla|N|3"] = {
					[1] = "9467",
					[2] = "9469",
				},
				["Shadowpriest Sezz'ziz|N|4"] = {
					[1] = "9475",
					[2] = "9470",
					[3] = "9474",
					[4] = "9473",
				},
				["Chief Ukorz Sandscalp|B|5"] = {
					[1] = "9478",
					[2] = "9479",
					[3] = "9477",
					[4] = "11086",
					[5] = "9476",
				},
				["Witch Doctor Zum'rah|N|6"] = {
					[1] = "18083",
					[2] = "18082",
				},
				["Antu'sul|N|7"] = {
					[1] = "9640",
					[2] = "9639",
					[3] = "9641",
					[4] = "9379",
				},
				["Named common|8"] = {
					[1] = "9480",
					[2] = "9481",
					[3] = "2040",
					[4] = "9511",
					[5] = "9512",
					[6] = "5616",
					[7] = "9483",
				},
				["Quest Reward|T"] = {
					[1] = "9531",
					[2] = "9527",
					[3] = "9533",
					[4] = "9534",
					[5] = "11122",
					[6] = "9653",
					[7] = "9372|"..L["Sang'thraze the Deflector"].."+"..L["Jang'thraze the Protector"],
				},
			},
			["Maraudon|7"] = {
				["Noxxion|N|1"] = {
					[1] = "17746",
					[2] = "17744",
					[3] = "17745",
				},
				["Lord Vyletongue|N|2"] = {
					[1] = "17752",
					[2] = "17754",
					[3] = "17755",
				},
				["Meshlok the Harvester|S|3"] = {
					[1] = "17742",
					[2] = "17767",
					[3] = "17741",
				},
				["Celebras the Cursed|N|4"] = {
					[1] = "17739",
					[2] = "17740",
					[3] = "17738",
				},
				["Razorlash|N|5"] = {
					[1] = "17750",
					[2] = "17748",
					[3] = "17749",
					[4] = "17751",
				},
				["Landslide|N|6"] = {
					[1] = "17734",
					[2] = "17737",
					[3] = "17943",
					[4] = "17736",
				},
				["Rotgrip|N|7"] = {
					[1] = "17730",
					[2] = "17728",
					[3] = "17732",
				},
				["Tinkerer Gizlock|N|8"] = {
					[1] = "17717",
					[2] = "17719",
					[3] = "17718",
				},
				["Princess Theradras|B|9"] = {
					[1] = "17713",
					[2] = "17707",
					[3] = "17710",
					[4] = "17715",
					[5] = "17780",
					[6] = "17714",
					[7] = "17766",
					[8] = "17711",
				},
				["Quest Reward|T"] = {
					[1] = "17772",
					[2] = "17773",
					[3] = "17768",
					[4] = "17778",
					[5] = "17770",
					[6] = "17775",
					[7] = "17776",
					[8] = "17777",
					[9] = "17779",
					[10] = "17774",
					[11] = "17705",
					[12] = "17743",
					[13] = "17753",
				},
			},
			["Dire Maul (East)|8"] = {
				["Zevrim Thornhoof|N|1"] = {
					[1] = "18319",
					[2] = "18313",
					[3] = "18323",
					[4] = "18308",
					[5] = "18306",
				},
				["Hydrospawn|N|2"] = {
					[1] = "18322",
					[2] = "18324",
					[3] = "18317",
					[4] = "18305",
				},
				["Lethtendris|N|3"] = {
					[1] = "18302",
					[2] = "18325",
					[3] = "18311",
					[4] = "18301",
				},
				["Pimgib|N|4"] = {
					[1] = "18354",
				},
				["Pusillin|N|5"] = {
					[1] = "18267",
				},
				["Alzzin the Wildshaper|N|6"] = {
					[1] = "18321",
					[2] = "18326",
					[3] = "18312",
					[4] = "18318",
					[5] = "18309",
					[6] = "18310",
					[7] = "18328",
					[8] = "18327",
					[9] = "18315",
					[10] = "18314",
				},
				["Isalien|N|7"] = {
					[1] = "22401",
					[2] = "22345",
					[3] = "22472",
					[4] = "22304",
					[5] = "22314",
				},
				["Trash|T"] = {
					[1] = "18344",
					[2] = "18298",
					[3] = "18296",
					[4] = "18295",
				},
				["Quest Reward|T"] = {
					[1] = "18491",
					[2] = "18411",
					[3] = "18410",
					[4] = "18536",
					[5] = "18535",
				},
			},
			["Dire Maul (North)|9"] = {
				["Guard Mol'dar|N|1"] = {
					[1] = "18498",
					[2] = "18496",
					[3] = "18497",
					[4] = "18494",
					[5] = "18493",
					[6] = "18450",
					[7] = "18462",
					[8] = "18464",
					[9] = "18460",
					[10] = "18463",
					[11] = "18458",
					[12] = "18459",
					[13] = "18451",
				},
				["Guard Slip'kik|N|2"] = {
					[1] = "18498",
					[2] = "18496",
					[3] = "18497",
					[4] = "18494",
					[5] = "18493",
					[6] = "18450",
					[7] = "18462",
					[8] = "18464",
					[9] = "18460",
					[10] = "18463",
					[11] = "18458",
					[12] = "18459",
					[13] = "18451",
				},
				["Guard Fengus|N|3"] = {
					[1] = "18450",
					[2] = "18462",
					[3] = "18464",
					[4] = "18460",
					[5] = "18463",
					[6] = "18458",
					[7] = "18459",
					[8] = "18451",
				},
				["Stomper Kreeg|N|4"] = {
					[1] = "18425",
				},
				["Captain Kromcrush|N|5"] = {
					[1] = "18502",
					[2] = "18507",
					[3] = "18505",
					[4] = "18503",
				},
				["Cho'Rush the Observer|N|6"] = {
					[1] = "18484",
					[2] = "18490",
					[3] = "18485",
					[4] = "18483",
				},
				["King Gordok|N|8"] = {
					[1] = "18520",
					[2] = "18527",
					[3] = "18523",
					[4] = "18525",
					[5] = "18526",
					[6] = "18522",
					[7] = "18524",
					[8] = "18521",
				},
				["Knot Thimblejack's Cache|T"] = {
					[1] = "18517",
					[2] = "18514",
					[3] = "18515",
					[4] = "18519",
					[5] = "18518",
					[6] = "18416",
					[7] = "18415",
					[8] = "18417",
					[9] = "18414",
					[10] = "18516",
					[11] = "18418",
				},
				["Gordok Tribute|T"] = {
					[1] = "18499",
					[2] = "18531",
					[3] = "18481",
					[4] = "18537",
					[5] = "18532",
					[6] = "18495",
					[7] = "18529",
					[8] = "18528",
					[9] = "18533",
					[10] = "18500",
					[11] = "18480",
					[12] = "18530",
					[13] = "18482",
					[14] = "18538",
					[15] = "18534",
				},
				["Quest Reward|T"] = {
					[1] = "18366",
					[2] = "18369",
					[3] = "18368",
					[4] = "18367",
				},
			},
			["Dire Maul (West)|10"] = {
				["Tendris Warpwood|N|1"] = {
					[1] = "18352",
					[2] = "18353",
					[3] = "18393",
					[4] = "18390",
				},
				["Magister Kalendris|N|2"] = {
					[1] = "18371",
					[2] = "18350",
					[3] = "18397",
					[4] = "22309",
					[5] = "18374",
					[6] = "18351",
				},
				["Illyanna Ravenoak|N|3"] = {
					[1] = "18386",
					[2] = "18349",
					[3] = "18383",
					[4] = "18347",
				},
				["Tsu'zee|S|4"] = {
					[1] = "18387",
					[2] = "18345",
					[3] = "18346",
				},
				["Immol'thar|N|5"] = {
					[1] = "18384",
					[2] = "18377",
					[3] = "18379",
					[4] = "18389",
					[5] = "18372",
					[6] = "18370",
					[7] = "18391",
					[8] = "18381",
					[9] = "18385",
					[10] = "18394",
				},
				["Lord Hel'nurath|N|6"] = {
					[1] = "18756",
					[2] = "18755",
					[3] = "18757",
					[4] = "18754",
				},
				["Revanchion|N|7"] = {
					[1] = "23127",
					[2] = "23128",
					[3] = "23129",
				},
				["Prince Tortheldrin|B|8"] = {
					[1] = "18382",
					[2] = "18376",
					[3] = "18388",
					[4] = "18373",
					[5] = "18392",
					[6] = "18396",
					[7] = "18375",
					[8] = "18378",
					[9] = "18395",
					[10] = "18380",
				},
				["Trash|T"] = {
					[1] = "18340",
					[2] = "18289",
					[3] = "18338",
				},
				["Quest Reward|T"] = {
					[1] = "18421",
					[2] = "18420",
					[3] = "18424",
				},
			},
			["Dire Maul (Arena)|11"] = {
				["Rare Spawn"] = {
					[1] = "23197",
					[2] = "23199",
					[3] = "23203",

					[4] = "13015",
					[5] = "13028",
					[6] = "13060",
					[7] = "13001",
					[8] = "9402",
					[9] = "13096",
					[10] = "13116",
					[11] = "13133",
					[12] = "13053",
					[13] = "13072",
					[14] = "13002",
				},
			},
			["Onyxia's Lair|R|12"] = {
				["Onyxia"] = {
					[1] = "16955",
					[2] = "16963",
					[3] = "16914",
					[4] = "16929",
					[5] = "16947",
					[6] = "16900",
					[7] = "16921",
					[8] = "16939",
					[9] = "16908",
					[10] = "18813",
					[11] = "17078",
					[12] = "17064",
					[13] = "17068",
					[14] = "17075",
					[15] = "17067",
					[16] = "18205",
					[17] = "17966",
					[18] = "17804",
				},
			},
			["Ruins of Ahn'Qiraj|R|13"] = {
				["Kurinnaxx|N|1)"] = {
					[1] = "21500",
					[2] = "21499",
					[3] = "21498",
					[4] = "21503",
					[5] = "21502",
				--	["흐르는 모래의 손목보호대"] = {[1] = "드랍",[2] = "안퀴라즈(폐허)<공>",[3] = "쿠린낙스(1st)"},
					[7] = "21501",
				},
				["Captains"] = {
					[1] = "21810",
					[2] = "21809",
					[3] = "21806",
				},
				["General Rajaxx|N|2"] = {
					[1] = "21493",
					[2] = "21492",
					[3] = "21494",
					[4] = "21497",
					[5] = "21496",
					[6] = "21495",
				},
				["Lieutenant General Andorov|T|2"] = {
					[1] = "22219",
					[2] = "22221",
				},
				["Buru the Gorger|N|3"] = {
					[1] = "21488",
					[2] = "21490",
					[3] = "21486",
					[4] = "21485",
					[5] = "21489",
					[6] = "21487",
					[7] = "21491",
				},
				["Ayamiss the Hunter|N|4"] = {
					[1] = "21484",
					[2] = "21466",
					[3] = "21483",
					[4] = "21478",
					[5] = "21481",
					[6] = "21482",
					[7] = "21480",
				},
				["Moam|N|5"] = {
					[1] = "21473",
					[2] = "21477",
					[3] = "21455",
					[4] = "21469",
					[5] = "21470",
					[6] = "21472",
					[7] = "21479",
					[8] = "21474",
					[9] = "21475",
					[10] = "21476",
					[11] = "21467",
					[12] = "21471",
					[13] = "21468",
					[14] = "22220",
				},
				["Ossirian the Unscarred|B|6"] = {
					[1] = "21464",
					[2] = "21460",
					[3] = "21456",
					[4] = "21452",
					[5] = "21462",
					[6] = "21463",
					[7] = "21457",
					[8] = "21459",
					[9] = "21715",
					[10] = "21454",
					[11] = "21458",
					[12] = "21453",
					[13] = "21461",
				},
				["Trash|T"] = {
					[1] = "21801",
					[2] = "21804",
					[3] = "21800",
					[4] = "21805",
					[5] = "21802",
					[6] = "21803",
				},
			},
			["Temple of Ahn'Qiraj|R|14"] = {
				["The Prophet Skeram|N|1"] = {
					[1] = "21703",
					[2] = "21814",
					[3] = "21699",
					[4] = "21698",
					[5] = "21702",
					[6] = "21706",
					[7] = "21701",
					[8] = "21704",
					[9] = "21705",
					[10] = "21128",
					[11] = "21700",
					[12] = "21707",
					[13] = "21708",
				},
				["Lord Kri|N|2"] = {
					[1] = "21681",
					[2] = "21685",
					[3] = "21680",
					[4] = "21603",
				},
				["Princess Yauj|N|2"] = {
					[1] = "21687",
					[2] = "21682",
					[3] = "21683",
					[4] = "21686",
					[5] = "21684",
				},
				["Vem|N|2"] = {
					[1] = "21689",
					[2] = "21688",
					[3] = "21691",
					[4] = "21690",
				},
				["The Bug Family|N|2"] = {
					[1] = "21692",
					[2] = "21693",
					[3] = "21694",
					[4] = "21697",
					[5] = "21696",
					[6] = "21695",
				},
				["Battleguard Sartura|N|3"] = {
					[1] = "21648",
					[2] = "21666",
					[3] = "21673",
					[4] = "21678",
					[5] = "21672",
					[6] = "21669",
					[7] = "21671",
					[8] = "21670",
					[9] = "21677",
					[10] = "21674",
					[11] = "21676",
					[12] = "21667",
					[13] = "21675",
				},
				["Fankriss the Unyielding|N|4"] = {
					[1] = "22396",
					[2] = "22402",
					[3] = "21664",
					[4] = "21650",
					[5] = "21645",
					[6] = "21663",
					[7] = "21639",
					[8] = "21647",
					[9] = "21635",
					[10] = "21652",
					[11] = "21627",
					[12] = "21665",
					[13] = "21651",
				},
				["Viscidus|N|5"] = {
					[1] = "22399",
					[2] = "21625",
					[3] = "21624",
					[4] = "21623",
					[5] = "21622",
					[6] = "21626",
				},
				["Princess Huhuran|N|6"] = {
					[1] = "21619",
					[2] = "21620",
					[3] = "21616",
					[4] = "21617",
					[5] = "21621",
					[6] = "21618",
					[7] = "20932",
					[8] = "20928",
				},
				["Emperor Vek'nilash|N|7"] = {
					[1] = "21679",
					[2] = "21604",
					[3] = "21605",
					[4] = "21606",
					[5] = "21607",
					[6] = "21608",
					[7] = "21609",
					[8] = "20926",
					[9] = "20726",
				},
				["Emperor Vek'lor|N|7"] = {
					[1] = "21600",
					[2] = "21598",
					[3] = "21597",
					[4] = "21601",
					[5] = "21599",
					[6] = "21602",
					[7] = "20930",
					[8] = "20735",
				},
				["Ouro|N|8"] = {
					[1] = "21611",
					[2] = "23557",
					[3] = "21610",
					[4] = "23558",
					[5] = "21615",
					[6] = "23570",
					[7] = "20931",
					[8] = "20927",
				},
				["C'Thun|B|9"] = {
					[1] = "22732",
					[2] = "21126",
					[3] = "21583",
					[4] = "21581",
					[5] = "22730",
					[6] = "22731",
					[7] = "21582",
					[8] = "21585",
					[9] = "21134",
					[10] = "21579",
					[11] = "21839",
					[12] = "21596",
					[13] = "21586",
					[14] = "20929",
					[15] = "20933",
					[16] = "22734",
				},
				["Trash|T"] = {
					[1] = "21891",
					[2] = "21888",
					[3] = "21838",
					[4] = "21836",
					[5] = "21837",
					[6] = "21856",
				},
				["Quest Reward|T"] = {
					[1] = "21244",
					[2] = "21242",
					[3] = "21272",
					[4] = "21269",
					[5] = "21268",
					[6] = "21273",
					[7] = "21275",
				},
			},
			["Old Hillsbrad Foothills|15"] = {
				["Lieutenant Drake|N|1"] = {
					[1] = "27423",
					[2] = "27436",
					[3] = "27417",
					[4] = "27418",
					[5] = "27420",
				},
				["Captain Skarloc|N|2"] = {
					[1] = "27428",
					[2] = "27424",
					[3] = "27430",
					[4] = "27427",
					[5] = "27426",
					[6] = "22927",
				},
				["Epoch Hunter|B|3"] = {
					[1] = "27433",
					[2] = "27431",
					[3] = "27434",
					[4] = "27432",
					[5] = "27440",
					[6] = "24173",
				},
				["Trash|T|4"] = {
					[1] = "25729",
				},
				["Quest Reward|T|5"] = {
					[1] = "29317",
					[2] = "29318",
					[3] = "29316",
					[4] = "29319",
				},
				["Vendor|T|6"] = {
					[1] = "22539",
					[2] = "25725",
				},
			},
			["Old Hillsbrad Foothills-Hero|R|16"] = {
				["Lieutenant Drake|N|1"] = {
					[1] = "28214",
					[2] = "28213",
					[3] = "28210",
					[4] = "28212",
					[5] = "28211",
					[6] = "28215",
				},
				["Captain Skarloc|N|2"] = {
					[1] = "28220",
					[2] = "28218",
					[3] = "28221",
					[4] = "28216",
					[5] = "28219",
					[6] = "28217",
				},
				["Epoch Hunter|B|3"] = {
					[1] = "28401",
					[2] = "28226",
					[3] = "29250",
					[4] = "28223",
					[5] = "28222",
					[6] = "28191",
					[7] = "28224",
					[8] = "29246",
					[9] = "30536",
					[10] = "28344",
					[11] = "28233",
					[12] = "28225",
					[13] = "27904",
					[14] = "27911",
					[15] = "28227",
				},
				["Gems|T|4"] = {
					[1] = "30590",
					[2] = "30589",
					[3] = "30591",
				},
			},
			["The Black Morass|17"] = {
				["Chrono Lord Deja|N|1"] = {
					[1] = "27993",
					[2] = "27987",
					[3] = "27995",
					[4] = "27988",
					[5] = "27996",
					[6] = "27994",
					[7] = "29675",
				},
				["Temporus|N|2"] = {
					[1] = "28184",
					[2] = "28187",
					[3] = "28034",
					[4] = "28186",
					[5] = "28185",
					[6] = "28033",
				},
				["Aeonus|B|3"] = {
					[1] = "28206",
					[2] = "28192",
					[3] = "27509",
					[4] = "27873",
					[5] = "28193",
					[6] = "28188",
					[7] = "27839",
					[8] = "27977",
					[9] = "28189",
					[10] = "28207",
					[11] = "28190",
					[12] = "28194",
				},
				["Trash|4"] = {
					[1] = "25730",
				},
				["Quest Reward|5"] = {
					[1] = "29320",
					[2] = "29322",
					[3] = "29321",
					[4] = "29323",
				},
			},
			["The Black Morass-Hero|R|18"] = {
				["Aeonus|B|1"] = {
					[1] = "29356",
					[2] = "30531",
					[3] = "29247",
					[4] = "29253",
				},
				["Gems|T|2"] = {
					[1] = "30555",
					[2] = "30558",
					[3] = "30556",
				},
			},
			["The Battle of Mount Hyjal|R|19"] = {
				["Rage Winterchill|1"] = { 
					[1] = "30861",
					[2] = "30862",
					[3] = "30865",
					[4] = "30866",
					[5] = "30869",
					[6] = "30872",
					[7] = "30868",
					[8] = "30870",
					[9] = "32864",
					[10] = "30863",
					[11] = "30871",
					[12] = "30873",
					[13] = "32459",
					[14] = "32303",
				},
				["Anetheron|2"] = { 
					[1] = "30874",
					[2] = "30878",
					[3] = "30879",
					[4] = "30880",
					[5] = "30881",
					[6] = "30882",
					[7] = "30883",
					[8] = "30884",
					[9] = "30885",
					[10] = "30886",
					[11] = "30887",
					[12] = "30888",
				},
				["Kaz'rogal|3"] = { 
					[1] = "30889",
					[2] = "30891",
					[3] = "30892",
					[4] = "30894",
					[5] = "30895",
					[6] = "30915",
					[7] = "30916",
					[9] = "30917",
					[10] = "30918",
				},
				["Azgalor|4"] = { 
					[1] = "31092",
					[2] = "31093",
					[3] = "31094",
					[4] = "30896",
					[5] = "30897",
					[6] = "30898",
					[7] = "30899",
					[8] = "30901",
--					[9] = "",
				},
				["Archimonde|5"] = { 
					[1] = "31097",
					[2] = "31096",
					[3] = "31095",
					[4] = "30902",
					[5] = "30903",
					[6] = "30904",
					[7] = "30905",
					[8] = "30906",
					[9] = "30909",
					[10] = "30910",
					[11] = "30911",
					[12] = "30912",
					[13] = "30913",
--					[14] = "",
--					[15] = "",
				},
				["Quest Reward|6"] = {
					[1] = "32649",
				},
			},
		},
		["World Drop|T|2"] = {
			["The Barrens"] = {
				["Elder Mystic Razorsnout"] = {
					[1] = "4771",
					[1] = "4768",
				},
				["Rathorian "] = {
					[1] = "5111",
					[1] = "5112",
				},
				["Stonearm"] = {
					[1] = "1355",
				},
				["Geopriest Gukk'rok"] = {
					[1] = "1539",
				},
				["Gesharahan"] = {
					[1] = "5182",
					[1] = "5183",
				},
				["Heggin Stonewhisker"] = {
					[1] = "2035",
				},
				["Digger Flameforge"] = {
					[1] = "4785",
				},
			},
			["Desolace"] = {
				["Ravenclaw Regent"] = {
					[1] = "5969",
					[1] = "6628",
				},
			},
			["Darkshore"] = {
				["Lady Vespira"] = {
					[1] = "6332",
					[1] = "6333",
				},
			},
			["Stonetalon Mountains"] = {
				["Pridewing Patriarch"] = {
					[1] = "5751",
					[1] = "5752",
				},
			},
			["Thousand Needles"] = {
				["Galak Marauder"] = {
					[1] = "1493",
				},
				["Silithid Ravager"] = {
					[1] = "8224",
				},
				["Ironeye the Invincible"] = {
					[1] = "8223",
				},
			},
			["Tanaris"] = {
				["Omgorn the Lost"] = {
					[1] = "17055",
				},
			},
			["Azshara"] = {
				["Avalanchion"] = {
					[1] = "18674",
					[2] = "18673",
				},
				["Azuregos"] = { 
					[1] = "17070", 
					[2] = "18202", 
					[3] = "18208", 
					[4] = "18541", 
					[5] = "18542", 
					[6] = "18545", 
					[7] = "18547", 
					[8] = "19130", 
					[9] = "19131", 
					[10] = "19132", 
				},
				["General Fangferror"] = {
					[1] = "17054",
				},
			},
			["Un'Goro Crater"] = {
				["Baron Charr"] = {
					[1] = "18671",
				},
			},		
			["Silithus"] = {
				["The Windreaver|1"] = {
					[1] = "18677",
					[2] = "18676",
					[3] = "21548",
				},
				["Hoary Templar|2"] = {  --백색 기사단
					[1] = "20660",
					[2] = "20659",
					[3] = "20658",
				},
				["Earthen Templar|3"] = {
					[1] = "20663",
					[2] = "20661",
					[3] = "20662",
				},
				["Crimson Templar|4"] = {
					[1] = "20657",
					[2] = "20656",
					[3] = "20655",
				},
				["Azure Templar|5"] = {
					[1] = "20654",
					[2] = "20652",
					[3] = "20653",
				},
				["The Duke of Zephyrs|6"] = {
					[1] = "20675",
					[2] = "20674",
					[3] = "20673",
				},
				["The Duke of Cynders|7"] = {
					[1] = "20666",
					[2] = "20665",
					[3] = "20664",
				},
				["The Duke of Fathoms|8"] = {
					[1] = "20669",
					[2] = "20668",
					[3] = "20667",
				},
				["The Duke of Shards|9"] = {
					[1] = "20672",
					[2] = "20671",
					[3] = "20670",
				},
				["Baron Kazum|10"] = {
					[1] = "20688",
					[2] = "20687",
					[3] = "20686",
				},
				["Lord Skwol|11"] = {
					[1] = "20685",
					[2] = "20684",
					[3] = "20683",
				},
				["High Marshal Whirlaxis|12"] = {
					[1] = "20691",
					[2] = "20689",
					[3] = "20690",
				},
				["Prince Skaldrenox|13"] = {
					[1] = "20682",
					[2] = "20680",
					[3] = "20681",
				},
			},
			["Winterspring"] = {
				["Princess Tempestria"] = {
					[1] = "18679",
					[2] = "18678",
				},
			},
			["Feralas"] = {
				["Ysondre"] = {
					[1] = "20578", 
					[2] = "20635", 
					[3] = "20636", 
					[4] = "20637", 
					[5] = "20638", 
					[6] = "20639", 
					[7] = "20644", 
					[8] = "20579", 
					[9] = "20580", 
					[10] = "20581", 
					[11] = "20582", 
					[12] = "20615", 
					[13] = "20616", 
					[14] = "20617", 
					[15] = "20618", 
					[16] = "20619",
				},
				["Emeriss"] = {
					[1] = "20599", 
					[2] = "20621", 
					[3] = "20622", 
					[4] = "20623", 
					[5] = "20624", 
					[6] = "20644", 
					[7] = "20579", 
					[8] = "20580", 
					[9] = "20581", 
					[10] = "20582", 
					[11] = "20615", 
					[12] = "20616", 
					[13] = "20617", 
					[14] = "20618", 
					[15] = "20619",
				},
				["Lethon"] = { 
					[1] = "20625", 
					[2] = "20626", 
					[3] = "20627", 
					[4] = "20628", 
					[5] = "20629", 
					[6] = "20630", 
					[7] = "20644", 
					[8] = "20579", 
					[9] = "20580", 
					[10] = "20581", 
					[11] = "20582", 
					[12] = "20615", 
					[13] = "20616", 
					[14] = "20617", 
					[15] = "20618", 
					[16] = "20619",
				},
				["Taerar"] = { 
					[1] = "20577", 
					[2] = "20631", 
					[3] = "20632", 
					[4] = "20633", 
					[5] = "20634", 
					[6] = "20644", 
					[7] = "20579", 
					[8] = "20580", 
					[9] = "20581", 
					[10] = "20582", 
					[11] = "20615", 
					[12] = "20616", 
					[13] = "20617", 
					[14] = "20618", 
					[15] = "20619",
				},
			},
			["Ashenvale"] = {
				["Ysondre"] = {
					[1] = "20578", 
					[2] = "20635", 
					[3] = "20636", 
					[4] = "20637", 
					[5] = "20638", 
					[6] = "20639", 
					[7] = "20644", 
					[8] = "20579", 
					[9] = "20580", 
					[10] = "20581", 
					[11] = "20582", 
					[12] = "20615", 
					[13] = "20616", 
					[14] = "20617", 
					[15] = "20618", 
					[16] = "20619",
				},
				["Emeriss"] = {
					[1] = "20599", 
					[2] = "20621", 
					[3] = "20622", 
					[4] = "20623", 
					[5] = "20624", 
					[6] = "20644", 
					[7] = "20579", 
					[8] = "20580", 
					[9] = "20581", 
					[10] = "20582", 
					[11] = "20615", 
					[12] = "20616", 
					[13] = "20617", 
					[14] = "20618", 
					[15] = "20619",
				},
				["Lethon"] = { 
					[1] = "20625", 
					[2] = "20626", 
					[3] = "20627", 
					[4] = "20628", 
					[5] = "20629", 
					[6] = "20630", 
					[7] = "20644", 
					[8] = "20579", 
					[9] = "20580", 
					[10] = "20581", 
					[11] = "20582", 
					[12] = "20615", 
					[13] = "20616", 
					[14] = "20617", 
					[15] = "20618", 
					[16] = "20619",
				},
				["Taerar"] = { 
					[1] = "20577", 
					[2] = "20631", 
					[3] = "20632", 
					[4] = "20633", 
					[5] = "20634", 
					[6] = "20644", 
					[7] = "20579", 
					[8] = "20580", 
					[9] = "20581", 
					[10] = "20582", 
					[11] = "20615", 
					[12] = "20616", 
					[13] = "20617", 
					[14] = "20618", 
					[15] = "20619",
				},
			},
		},
	},
	["Outland|3"] = {
		["Instance|1"] = {
			["Hellfire Ramparts|1"] = {
				["Watchkeeper Gargolmar|1"] = {
					[1] = "24021",
					[2] = "24020",
					[3] = "24023",
					[4] = "24024",
					[5] = "24022",
				},
				["Omor the Unscarred|2"] = {
					[1] = "24096",
					[2] = "24073",
					[3] = "24094",
					[4] = "24069",
					[5] = "24091",
					[6] = "24090",
				},
				["Vazruden|B|3"] = {
					[1] = "24045",
					[2] = "24154",
					[3] = "24044",
					[4] = "24083",
					[5] = "24155",
					[6] = "24064",
					[7] = "24150",
					[8] = "24151",
					[9] = "24046",
					[10] = "24063",
				},
				["Trash|4"] = {
					[1] = "23810",
				},
				["Quest Reward|5"] = {
					[1] = "25716",
					[2] = "25715",
					[3] = "25717",
					[4] = "25718",
				},
					
			},
			["Hellfire Ramparts-Hero|R|2"] = {
				["Watchkeeper Gargolmar|1"] = {
					[1] = "27448",
					[2] = "27449",
					[3] = "27450",
					[4] = "27451",
					[5] = "27447",
				},
				["Omor the Unscarred|2"] = {
					[1] = "27895",
					[2] = "27906",
					[3] = "27465",
					[4] = "27466",
					[5] = "27463",
					[6] = "27462",
					[7] = "27464",
					[8] = "27467",
					[9] = "27478",
					[10] = "27476",
					[11] = "27539",
					[12] = "27477",
				},
				["Vazruden|B|3"] = {
					[1] = "27459",
					[2] = "27460",
					[3] = "27461",
					[4] = "27455",
					[5] = "27458",
					[6] = "29238",
					[7] = "27456",
					[8] = "27454",
					[9] = "27452",
					[10] = "29264",
					[11] = "27457",
					[12] = "29346",
					[13] = "27453",
					[14] = "32077",
				},
				["Gems|T|4"] = {
					[1] = "30592",
					[2] = "30594",
					[3] = "30593",
				},
			},
			["The Blood Furnace|3"] = {
				["The Maker|1"] = {
					[1] = "24387",
					[2] = "24384",
					[3] = "24388",
					[4] = "24385",
					[5] = "24386",
				},
				["Broggok|2"] = {
					[1] = "24389",
					[2] = "24392",
					[3] = "24391",
					[4] = "24393",
					[5] = "24390",
				},
				["Keli'dan the Breaker|B|3"] = {
					[1] = "24396",
					[2] = "24395",
					[3] = "24394",
					[4] = "24397",
					[5] = "24398",
				},
				["Quest Reward|4"] = {
					[1] = "25714",
					[2] = "25713",
					[3] = "25712",
					[4] = "25701",
					[5] = "25710",
					[6] = "25702",
					[7] = "25711",
				},
			},
			["The Blood Furnace-Hero|R|4"] = {
				["The Maker|1"] = {
					[1] = "27484",
					[2] = "27487",
					[3] = "27483",
					[4] = "27485",
					[5] = "27488",
				},
				["Broggok|2"] = {
					[1] = "27491",
					[2] = "27490",
					[3] = "27489",
					[4] = "27492",
					[5] = "27848",
				},
				["Keli'dan the Breaker|B|3"] = {
					[1] = "29347",
					[2] = "27512",
					[3] = "27495",
					[4] = "29245",
					[5] = "27788",
					[6] = "27507",
					[7] = "28264",
					[8] = "27505",
					[9] = "29239",
					[10] = "27514",
					[11] = "27506",
					[12] = "27497",
					[13] = "27494",
					[14] = "28121",
					[15] = "32080",
				},
				["Gems|T|4"] = {
					[15] = "30602",
					[16] = "30601",
					[17] = "30600",
				},
			},
			["The Shattered Halls|5"] = {
				["Grand Warlock Nethekurse|1"] = {
					[1] = "27519",
					[2] = "27520",
					[3] = "27517",
					[4] = "27521",
					[5] = "27518",
					[6] = "24312",
				},
				["Warbringer O'mrogg|2"] = {
					[1] = "27868",
					[2] = "27526",
					[3] = "27524",
					[4] = "27525",
					[5] = "27802",
				},
				["Warchief Kargath Bladefist|B|3"] = {
					[1] = "27540",
					[2] = "27527",
					[3] = "27538",
					[4] = "27529",
					[5] = "27531",
					[6] = "27533",
					[7] = "27534",
					[8] = "27528",
					[9] = "27537",
					[10] = "27536",
					[11] = "27535",
					[12] = "27474",
				},
				["Quest Reward|4"] = {
					[1] = "25810",
					[2] = "25811",
					[3] = "25809",
					[4] = "25808",
					[5] = "25791",
					[6] = "25792",
					[7] = "25788",
					[8] = "25789",
					[9] = "25790",
				},
				["Trash|5"] = {
					[1] = "22554",
				},
			},
			["The Shattered Halls-Hero|R|6"] = {
				["Blood Guard Porung|1"] = {
					[1] = "30709",
					[2] = "30708",
					[3] = "30710",
					[4] = "30705",
					[5] = "30707",
				},
				["Warchief Kargath Bladefist|B|2"] = {
					[1] = "29263",
					[2] = "29254",
					[3] = "29348",
					[4] = "29255",
				},
				["Gems|T|3"] = {
					[1] = "30547",
					[2] = "30546",
					[3] = "30548",
				},
			},
			["Magtheridon's Lair|R|7"] = {
				["Magtheridon|B|1"] = {
					[1] = "29458",
					[2] = "29753",
					[3] = "29754",
					[4] = "29755",
					[5] = "28789",
					[6] = "28774",
					[7] = "28775",
					[8] = "28776",
					[9] = "28777",
					[10] = "28778",
					[11] = "28779",
					[12] = "28780",
					[13] = "28781",
					[14] = "28782", 
					[15] = "28783",
					[16] = "28789",
				},
				["Quest Reward|U|2"] = {
					[1] = L["Quest Begined"],
					[2] = "32386",
					[3] = L["Quest Reward"],
					[4] = "28790",
					[5] = "28791",
					[6] = "28792",
					[7] = "28793",
				},
			},
			["The Slave Pens|8"] = {
				["Mennu the Betrayer|1"] = {
					[1] = "24361",
					[2] = "24360",
					[3] = "24356",
					[4] = "24357",
					[5] = "24359",
					[6] = "29674",
				},
				["Rokmar the Crackler|2"] = {
					[1] = "24380",
					[2] = "24381",
					[3] = "24376",
					[4] = "24378",
					[5] = "24379",
				},
				["Quagmirran|B|3"] = {
					[1] = "24363",
					[2] = "24364",
					[3] = "24362",
					[4] = "24365",
					[5] = "24366",
				},
			},
			["The Slave Pens-Hero|R|9"] = {
				["Mennu the Betrayer|1"] = {
					[1] = "27543",
					[2] = "27542",
					[3] = "27546",
					[4] = "27541",
					[5] = "27545",
					[6] = "27544",
				},
				["Rokmar the Crackler|2"] = {
					[1] = "27549",
					[2] = "27548",
					[3] = "27550",
					[4] = "27547",
					[5] = "27551",
					[6] = "28124",
				},
				["Quagmirran|B|3"] = {
					[1] = "27714",
					[2] = "27672",
					[3] = "29242",
					[4] = "27740",
					[5] = "27800",
					[6] = "27673",
					[7] = "27713",
					[8] = "27683",
					[9] = "27712",
					[10] = "30538",
					[11] = "27742",
					[12] = "27741",
					[13] = "28337",
					[14] = "29349",
					[15] = "27796",
					[16] = "32078",
				},
				["Gems|T|4"] = {
					[1] = "30605",
					[2] = "30603",
					[3] = "30604",
				},
			},
			["The Underbog|10"] = {
				["Hungarfen|1"] = {
					[1] = "27631",
					[2] = "24452",
					[3] = "24413",
					[4] = "24450",
					[5] = "24451",
				},
				["Ghaz'an|2"] = {
					[1] = "24460",
					[2] = "24461",
					[3] = "24459",
					[4] = "24458",
					[5] = "24462",
				},
				["Swamplord Musel'ek|3"] = {
					[1] = "24453",
					[2] = "24455",
					[3] = "24454",
					[4] = "24456",
					[5] = "24457",
				},
				["The Black Stalker|B|4"] = {
					[1] = "24481",
					[2] = "24465",
					[3] = "24464",
					[4] = "24463",
					[5] = "24466",
				},
				["Quest Reward|5"] = {
					[1] = "28029",
					[2] = "25540",
					[3] = "25541",
					[4] = "28109",
					[5] = "28108",
					[6] = "28111",
				},
			},
			["The Underbog-Hero|R|11"] = {
				["Hungarfen|1"] = {
					[1] = "27748",
					[2] = "27744",
					[3] = "27747",
					[4] = "27746",
					[5] = "27745",
					[6] = "27743",
				},
				["Ghaz'an|2"] = {
					[1] = "27755",
					[2] = "27760",
					[3] = "27759",
					[4] = "27757",
					[5] = "27761",
					[6] = "27758",
				},
				["Swamplord Musel'ek|3"] = {
					[1] = "27767",
					[2] = "27766",
					[3] = "27763",
					[4] = "27764",
					[5] = "27765",
					[6] = "27762",
				},
				["The Black Stalker|B|4"] = {
					[1] = "29350",
					[2] = "29265",
					[3] = "30541",
					[4] = "27769",
					[5] = "27907",
					[6] = "27779",
					[7] = "27772",
					[8] = "27770",
					[9] = "27896",
					[10] = "27773",
					[11] = "27781",
					[12] = "27771",
					[13] = "27780",
					[14] = "27938",
					[15] = "27768",
					[16] = "32081",
				},
				["Gems|T|5"] = {
					[1] = "30608",
					[2] = "30606",
					[3] = "30607",
				},
			},
			["The Steamvault|12"] = {
				["Hydromancer Thespia|1"] = {
					[1] = "27508",
					[2] = "27783",
					[3] = "27784",
					[4] = "27787",
					[5] = "27789",
					[6] = "29673",
				},
				["Mekgineer Steamrigger|2"] = {
					[1] = "27790",
					[2] = "27793",
					[3] = "27794",
					[4] = "27792",
					[5] = "27791",
					[6] = "23887",
				},
				["Warlord Kalithresh|B|3"] = {
					[1] = "28203",
					[2] = "27475",
					[3] = "27804",
					[4] = "27805",
					[5] = "27795",
					[6] = "27738",
					[7] = "27799",
					[8] = "27806",
					[9] = "27737",
					[10] = "27510",
					[11] = "27801",
					[12] = "27874",
					[13] = "24313",
				},
				["Quest Reward|4"] = {
					[1] = "28182",
					[2] = "28180",
					[3] = "28181",
					[4] = "28183",
				},
				["Trash|5"] = {
					[1] = "24159",
					[2] = "22533",
				},
			},
			["The Steamvault-Hero|R|13"] = {
				["Warlord Kalithresh|B|1"] = {
					[1] = "30543",
					[2] = "29351",
					[3] = "29243",
					[4] = "29463",
				},
				["Gems|T|2"] = {
					[1] = "30550",
					[2] = "30551",
					[3] = "30549",
				},
			},
			["Serpentshrine Cavern|R|14"] = {
				["Hydross the Unstable|1"] = {
					[1] = "30048",
					[2] = "30054",
					[3] = "30047",
					[4] = "30049",
					[5] = "30050",
					[6] = "30051",
					[7] = "30052",
					[8] = "30053",
					[9] = "30055", 
					[10] = "30056", 
					[11] = "30629", 
					[12] = "32516",
				},
				["The Lurker Below|2"] = {
					[1] = "30057",
					[2] = "30058",
					[3] = "30059",
					[4] = "30060", 
					[5] = "30061", 
					[6] = "30062", 
					[7] = "30063", 
					[8] = "30064", 
					[9] = "30065", 
					[10] = "30066", 
					[11] = "30067", 
					[12] = "30665",
				},
				["Leotheras the Blind|3"] = {
					[1] = "30091", 
					[2] = "30092", 
					[3] = "30095", 
					[4] = "30096", 
					[5] = "30097", 
					[6] = "30239", 
					[7] = "30240",
					[8] = "30241", 
					[9] = "30627",
				},
				["Fathom-Lord Karathress|4"] = {
					[1] = "30025",
					[2] = "30090",
					[3] = "30099", 
					[4] = "30100", 
					[5] = "30101", 
					[6] = "30626", 
					[7] = "30663", 
					[8] = "30245", 
					[9] = "30246", 
					[10] = "30247",
				},
				["Morogrim Tidewalker|5"] = {
					[1] = "30082",
					[2] = "30008", 
					[3] = "30068", 
					[4] = "30075", 
					[5] = "30079", 
					[6] = "30080", 
					[7] = "30081", 
					[8] = "30083", 
					[9] = "30084", 
					[10] = "30085", 
					[11] = "30098", 
					[12] = "30720",
				},
				["Lady Vashj|B|6"] = {
					[1] = "30242",
					[2] = "30244",
					[3] = "30243",
					[4] = "30112",
					[5] = "30103", 
					[6] = "30104", 
					[7] = "30105", 
					[8] = "30106", 
					[9] = "30108", 
					[10] = "30109", 
					[11] = "30110",
					[12] = "30102",
					[13] = "32895",
					[14] = "30111",
				},
				["Trash|7"] = {
					[1] = "30183",
					[2] = "30025", 
					[3] = "30021",
					[4] = "30022",
					[5] = "30027", 
					[6] = "30620",
					[7] = "30023", 
--					[8] = "",
					[9] = "30280",
					[10] = "30281",
					[11] = "30282",
					[12] = "30283",

					[13] = "30301",
					[14] = "30302",
					[15] = "30303",
					[16] = "30304",
					[17] = "30305",
					[18] = "30306",
					[19] = "30307",
					[20] = "30308",

					[19] = "30321",
					[20] = "30322",
					[21] = "30323",
					[22] = "30324",
				},
			},
			["Mana-Tombs|15"] = {
				["Pandemonius|1"] = {
					[1] = "25940",
					[2] = "28166",
					[3] = "25943",
					[4] = "25941",
					[5] = "25939",
					[6] = "25942",
				},
				["Tavarok|2"] = {
					[1] = "25945",
					[2] = "25944",
					[3] = "25950",
					[4] = "25946",
					[5] = "25947",
					[6] = "25952",
				},
				["Nexus-Prince Shaffar|B|3"] = {
					[1] = "25953",
					[2] = "25954",
					[3] = "25962",
					[4] = "25955",
					[5] = "25956",
					[6] = "25957",
					[7] = "22921",
				},
				["Trash|4"] = {
					[1] = "23615",
					[2] = "22543",
				},
				["Quest Reward|5"] = {
					[1] = "29345",
					[2] = "29342",
					[3] = "29344",
					[4] = "29343",
					[5] = "29327",
					[6] = "29328",
					[7] = "29325",
					[8] = "29326",
				},
			},
			["Mana-Tombs-Hero|R|16"] = {
				["Pandemonius|1"] = {
					[1] = "27817",
					[2] = "27813",
					[3] = "27814",
					[4] = "27815",
					[5] = "27818",
					[6] = "27816",
				},
				["Tavarok|2"] = {
					[1] = "27825",
					[2] = "27822",
					[3] = "27823",
					[4] = "27821",
					[5] = "27826",
					[6] = "27824",
				},
				["Nexus-Prince Shaffar|B|3"] = {
					[1] = "27840",
					[2] = "30535",
					[3] = "27798",
					[4] = "27829",
--					[5] = "29252",
					[6] = "27835",
					[7] = "28400",
					[8] = "27842",
					[9] = "27843",
					[10] = "27827",
					[11] = "27837",
					[12] = "27844",
					[13] = "27828",
					[14] = "29352",
					[15] = "29240",
					[16] = "32082",
					[17] = "27831",
				},
				["Yor|4"] = {
					[1] = "31554",
					[2] = "31562",
					[3] = "31570",
					[4] = "31578",
					[5] = "31921",
					[6] = "31922",
					[7] = "31920",
					[8] = "31923",
					[9] = "31924",
				},
				["Gems|T|5"] = {
					[1] = "30583",
					[2] = "30584",
					[3] = "30585",
				},
			},
			["Auchenai Crypts|17"] = {
				["Shirrak the Dead Watcher|1"] = {
					[1] = "25964",
					[2] = "27410",
					[3] = "27408",
					[4] = "27409",
					[5] = "26055",
				},
				["Exarch Maladaar|B|2"] = {
					[1] = "27413",
					[2] = "27411",
					[3] = "27416",
					[4] = "27415",
					[5] = "27414",
					[6] = "27412",
				},
				["Trash|3"] = {
					[1] = "23605",
					[2] = "22544",
				},
				["Quest Reward|4"] = {
					[1] = "29337",
					[2] = "29341",
					[3] = "29340",
					[4] = "29339",
				},
			},
			["Auchenai Crypts-Hero|R|18"] = {
				["Shirrak the Dead Watcher|1"] = {
					[1] = "27845",
					[2] = "27847",
					[3] = "27846",
					[4] = "27865",
					[5] = "27493",
					[6] = "27866",
				},
				["Exarch Maladaar|B|2"] = {
					[1] = "27867",
					[2] = "29244",
					[3] = "27872",
					[4] = "29257",
					[5] = "27869",
					[6] = "29354",
					[7] = "27870",
					[8] = "27523",
					[9] = "27871",
				},
				["Avatar of the Martyred|3"] = {
					[1] = "27937",
					[2] = "27876",
					[3] = "28268",
					[4] = "27877",
					[5] = "27878",
					[6] = "27797",
				},
				["Gems|T|4"] = {
					[10] = "30586",
					[11] = "30587",
					[12] = "30588",
				},
			},
			["Sethekk Halls|19"] = {
				["Darkweaver Syth|1"] = {
					[1] = "27919",
					[2] = "27914",
					[3] = "27918",
					[4] = "27916",
					[5] = "27915",
					[6] = "27917",
					[7] = "24160",
				},
				["Talon King Ikiss|B|2"] = {
					[1] = "27948",
					[2] = "27875",
					[3] = "27838",
					[4] = "27946",
					[5] = "27925",
					[6] = "27986",
					[7] = "27936",
					[8] = "27776",
					[9] = "27981",
					[10] = "27985",
					[11] = "27980",
					[12] = "27991",
				},
				["Trash|3"] = {
					[1] = "25731",
					[2] = "29669",
				},
				["Quest Reward|4"] = {
					[1] = "29330",
					[2] = "29332",
					[3] = "29329",
					[4] = "29336",
					[5] = "29335",
					[6] = "29333",
					[7] = "29334",
				},
			},
			["Sethekk Halls-Hero|R|20"] = {
				["Anzu|S|1"] = {
					[1] = "32780",
					[2] = "32781",
					[3] = "32769",
					[4] = "32779",
					[5] = "32778",
					[6] = "32768",
				},
				["Talon King Ikiss|B|2"] = {
					[1] = "29249",
					[2] = "29259",
					[3] = "29355",
					[4] = "32073",
				},
				["Gems|T|3"] = {
					[4] = "30552",
					[5] = "30554",
					[6] = "30553",
				},
			},
			["Shadow Labyrinth|21"] = {
				["Ambassador Hellmaw|1"] = {
					[1] = "27888",
					[2] = "27887",
					[3] = "27885",
					[4] = "27884",
					[5] = "27886",
					[6] = "27889",
				},
				["Blackheart the Inciter|2"] = {
					[1] = "27468",
					[2] = "27892",
					[3] = "27891",
					[4] = "27890",
					[5] = "28134",
					[6] = "27893",
					[7] = "25728",
				},
				["Grandmaster Vorpil|3"] = {
					[1] = "27897",
					[2] = "27898",
					[3] = "27901",
					[4] = "27775",
					[5] = "27900",
				},
				["Murmur|B|4"] = {
					[1] = "27903",
					[2] = "28230",
					[3] = "28232",
					[4] = "27778",
					[5] = "27910",
					[6] = "27912",
					[7] = "27909",
					[8] = "27908",
					[9] = "27803",
					[10] = "27902",
					[11] = "27913",
					[12] = "27905",
					[13] = "24309",
				},
				["Trash|5"] = {
					[1] = "23607",
				},
				["Quest Reward|6"] = {
					[1] = "28174",
					[2] = "28170",
					[3] = "28171",
					[4] = "28167",
					[5] = "28179",
					[6] = "28177",
					[7] = "28178",
					[8] = "28176",
				},
			},
			["Shadow Labyrinth-Hero|R|22"] = {
				["Murmur|B"] = {
					[1] = "29261",
					[1] = "29353",
					[2] = "29357",
					[3] = "30532",
				},
				["Gems|T|2"] = {
					[1] = "30559",
					[2] = "30563",
					[3] = "30560",
				},
			},
			["Gruul's Lair|R|23"] = {
				["Gruul the Dragonkiller|B|1"] = {
					[1] = "29765", 
					[2] = "29766", 
					[3] = "29767",
					[4] = "28794",
					[5] = "28802",
					[6] = "28803",
					[7] = "28804",
					[8] = "28810",
					[9] = "28822",
					[10] = "28823",
					[11] = "28824",
					[12] = "28825",
					[13] = "28826",
					[14] = "28827",
					[15] = "28828",
					[16] = "28830",
					
				},
				["High King Maulgar|B|2"] = {
					[1] = "28800",
					[2] = "28796",
					[3] = "28801",
					[4] = "28795",
					[5] = "28799",
					[6] = "28797",
					[7] = "29762",
					[8] = "29763",
					[9] = "29764",
				},

			},
			["The Mechanar|24"] = {
				["Cache of the Legion|1"] = {
					[1] = "28248",
					[2] = "28251",
					[3] = "28252",
					[4] = "28249",
					[5] = "28250",
				},
				["Mechano-Lord Capacitus|2"] = {
					[1] = "28256",
					[2] = "28257",
					[3] = "28255",
					[4] = "28253",
					[5] = "28254",
				},
				["Nethermancer Sepethrea|3"] = {
					[1] = "28263",
					[2] = "28258",
					[3] = "28259",
					[4] = "28262",
					[5] = "28260",
				},
				["Pathaleon the Calculator|B|4"] = {
					[1] = "28267",
					[2] = "27899",
					[3] = "28285",
					[4] = "28204",
					[5] = "28202",
					[6] = "28278",
					[7] = "28275",
					[8] = "28269",
					[9] = "28286",
					[10] = "28265",
					[11] = "28266",
					[12] = "28288",
					[13] = "21907",
				},
				["Trash|5"] = {
					[1] = "21906",
					[2] = "22920",
				},
			},
			["The Mechanar-Hero|R|25"] = {
				["Pathaleon the Calculator|B|1"] = {
					[1] = "29362",
					[2] = "29251",
					[3] = "30533",
					[4] = "32076",
				},
				["Gems|T|2"] = {
					[1] = "30564",
					[2] = "30565",
					[3] = "30566",
				},
			},
			["The Botanica|26"] = {
				["Commander Sarannis|1"] = {
					[1] = "28311",
					[2] = "28304",
					[3] = "28296",
					[4] = "28301",
					[5] = "28306",
				},
				["High Botanist Freywinn|2"] = {
					[1] = "28318",
					[2] = "28317",
					[3] = "28316",
					[4] = "28315",
					[5] = "28321",
					[6] = "23617",
				},
				["Thorngrin the Tender|3"] = {
					[1] = "28327",
					[2] = "28322",
					[3] = "28323",
					[4] = "28324",
					[5] = "28325",
					[6] = "24310",
				},
				["Laj|4"] = {
					[1] = "28328",
					[2] = "27739",
					[3] = "28339",
					[4] = "28338",
					[5] = "28340",
				},
				["Warp Splinter|B|5"] = {
					[1] = "28348",
					[2] = "28229",
					[3] = "28350",
					[4] = "28228",
					[5] = "28349",
					[6] = "28371",
					[7] = "28367",
					[8] = "28370",
					[9] = "28345",
					[10] = "28342",
					[11] = "28347",
					[12] = "28341",
					[13] = "28343",
					[14] = "24311",
				},
				["Trash|6"] = {
					[1] = "24172",
				},
			},
			["The Botanica-Hero|R|27"] = {
				["Warp Splinter|B"] = {
					[1] = "29262",
					[2] = "29359",
					[3] = "29258",
					[4] = "32072",
				},
				["Gems|T|2"] = {
					[1] = "30573",
					[2] = "30574",
					[3] = "30572",
				},
			},
			["The Arcatraz|28"] = {
				["Zereketh the Unbound|1"] = {
					[1] = "28384",
					[2] = "28375",
					[3] = "28372",
					[4] = "28373",
					[5] = "28374",
				},
				["Wrath-Scryer Soccothrates|2"] = {
					[1] = "28397",
					[2] = "28396",
					[3] = "28398",
					[4] = "28393",
					[5] = "28394",
				},
				["Dalliah the Doomsayer|3"] = {
					[1] = "28392",
					[2] = "28386",
					[3] = "28391",
					[4] = "28387",
					[5] = "28390",
					[6] = "24308",
				},
				["Harbinger Skyriss|B|4"] = {
					[1] = "28413",
					[2] = "28415",
					[3] = "28414",
					[4] = "28205",
					[5] = "28406",
					[6] = "28416",
					[7] = "28412",
					[8] = "28419",
					[9] = "28418",
					[10] = "28231",
					[11] = "28403",
					[12] = "28407",
				},
				["Trash|5"] = {
					[1] = "29672",
					[2] = "21905",
					[3] = "23606",
					[4] = "22556",
				},
			},
			["The Arcatraz-Hero|R|29"] = {
				["Harbinger Skyriss|B|1"] = {
					[1] = "29241",
					[2] = "29248",
					[3] = "30534",
					[4] = "29252",
					[5] = "29360",
				},
				["Gems|T|2"] = {
					[1] = "30575",
					[2] = "30581",
					[3] = "30582",
				},
			},
			["Tempest Keep|R|30"] = {
				["Void Reaver"] = {
					[1] = "30250",
					[2] = "30248",
					[3] = "30249",
					[4] = "29984",
					[5] = "30450",
					[6] = "30619",
					[7] = "29983",
					[8] = "29985",
					[9] = "29986",
--					[10] = ""결단의 손목보호대
				},
				["Al'ar"] = { 
					[1] = "29924",
					[2] = "29923",
					[3] = "29922",
					[4] = "29925",
					[5] = "30448",
					[6] = "32944",
					[7] = "29920",
					[8] = "30447",
					[9] = "29918",
					[10] = "29921",
					[11] = "29947",
					[12] = "29949",
					[13] = "29948",
				},
				["High Astromancer Solarian"] = { 
					[1] = "29985",
					[2] = "29965",
					[3] = "29966",
					[4] = "29962",
					[5] = "29977",
					[6] = "29976",
					[7] = "30446",
					[8] = "30449",
					[9] = "29950",
					[10] = "29972",
					[11] = "29981",
					[12] = "29951",
					[13] = "32267",
				},
				["Kael'thas Sunstrider"] = {
					[1] = "30236",
					[2] = "30238",
					[3] = "30237",
					[4] = "29988",
					[5] = "29993",
					[6] = "29994",
					[7] = "29989",
					[8] = "29997",
					[9] = "29996",
					[10] = "29990",
					[11] = "29992",
					[12] = "29995",
					[13] = "32896",
--					[14] = "32405",--퀘스트
--					[15] = "",
--					[16] = "",
--					[17] = "",
--					[18] = "",
				},
				["Trash|5"] = {
					[1] = "30026",
					[2] = "30030",
					[3] = "30020",
					[4] = "30024",
					[5] = "30029",
					[6] = "30028",
				},
				["Quest Reward"] = {
					[1] = L["Quest Begined"],
					[2] = "32405",
					[3] = L["Quest Reward"],
					[4] = "30018",
					[5] = "30015",
					[6] = "30017",
					[7] = "30007",
				},

			},
			["Black Temple|R|31"] = {
				["High Warlord Naj'entus|1"] = {
					[1] = "32232",
					[2] = "32236",
					[3] = "32237",
					[4] = "32239",
					[5] = "32240",
					[6] = "32241",
					[7] = "32242",
					[8] = "32243",
					[9] = "32245",
					[10] = "32247",
					[11] = "32248",
					[12] = "32234",
					[13] = "32377",
					[14] = "32238",
--					[15] = "32738",
--					[16] = "32744",
				},
				["Supremus|2"] = {
					[1] = "32250",
					[2] = "32251",
					[3] = "32252",
					[4] = "32253",
					[5] = "32254",
					[6] = "32255",
					[7] = "32256",
					[8] = "32257",
					[9] = "32258",
					[10] = "32259",
					[11] = "32260",
					[12] = "32261",
					[13] = "32262",
				},
				["Shade of Akama|3"] = {
					[1] = "32263",
					[2] = "32264",
					[3] = "32265",
					[4] = "32266",
					[5] = "32267",
					[6] = "32270",
					[7] = "32271",
					[8] = "32273",
					[9] = "32275",
					[10] = "32276",
					[11] = "32361",
					[12] = "32513",
--					[13] = "32748",
				},
				["Teron Gorefiend|4"] = {
					[1] = "32280",
					[2] = "32323",
					[3] = "32327",
					[4] = "32328",
					[5] = "32329",
					[6] = "32510",
					[7] = "32330",
					[8] = "32325",
					[9] = "32326",
					[10] = "32324",
					[11] = "32348",
					[12] = "32279",
					[13] = "32332",
					[14] = "32512",
				},
				["Reliquary of Souls|5"] = {
					[1] = "32353",
					[2] = "32346",
					[3] = "32347",
					[4] = "32363",
					[5] = "32345",
					[6] = "32349",
					[7] = "32350",
					[8] = "32351",
					[9] = "32352",
					[10] = "32354",
				},
				["Gurtogg Bloodboil|6"] = {
					[1] = "32269",
					[2] = "32333",
					[3] = "32334",
					[4] = "32335",
					[5] = "32338",
					[6] = "32339",
					[7] = "32340",
					[8] = "32341",
					[9] = "32342",
					[10] = "32343",
					[11] = "32344",
					[12] = "32501",
				},
				["Mother Shahraz|7"] = {
					[1] = "31101",
					[2] = "31102",
					[3] = "31103",
					[4] = "32369",
					[5] = "32362",
					[6] = "32370",
--					[7] = "32363",
				},
				["Illidari Council|8"] = {
					[1] = "31098",
					[2] = "31099",
					[3] = "31100",
					[4] = "32373",
					[5] = "32505",
				},
				["Illidan Stormrage|9"] = {
					[1] = "31089",
					[2] = "31090",
					[3] = "31091",
					[4] = "32374",
					[5] = "32375",
					[6] = "32837",
				},
				["Gems|U|10"] = {
					[1] = L["Crimson Spinel"], -- 붉은 첨정석
					[2] = L["Reagent"],
					[3] = "32227",
					[4] = L["Crafted"],
					[5] = "32193",
					[6] = "32194",
					[7] = "32195",
					[8] = "32196",
					[9] = "32197",
					[10] = "32198",
					[11] = "32199",
					[12] = "",

					[13] = L["Pyrestone"], -- 열화석
					[14] = L["Reagent"],
					[15] = "32231",
					[16] = L["Crafted"],
					[17] = "32220",
					[18] = "32219",
					[19] = "32217",
					[20] = "32221",
					[21] = "32218",
					[22] = "32222",
					[23] = "",

					[24] = L["Lionseye"], -- 사안석
					[25] = L["Reagent"],
					[26] = "32229",
					[27] = L["Crafted"],
					[28] = "32204",
					[29] = "32209",
					[30] = "32207",
					[31] = "32205",
					[32] = "32210",
					[33] = "32206",
					[34] = "32208",
					[35] = "",

					[36] = L["Seaspray Emerald"], --바다안개 에메랄드
					[37] = L["Reagent"],
					[38] = "32249",
					[39] = L["Crafted"],
					[40] = "32225",
					[41] = "32223",
					[42] = "32226",
					[43] = "32224",

					[44] = L["Empyrean Sapphire"], -- 창공의 사파이어
					[45] = L["Reagent"],
					[46] = "32228",
					[47] = L["Crafted"],
					[48] = "32202",
					[49] = "32200",
					[50] = "32201",
					[51] = "32203",
					[52] = "",

					[53] = L["Shadowsong Amethyst"], -- 어둠노래 자수정
					[54] = L["Reagent"],
					[55] = "32230",
					[56] = L["Crafted"],
					[57] = "32213",
					[58] = "32215",
					[59] = "32214",
					[60] = "32212",
					[61] = "32211",
					[60] = "32216",

				},
				["Trash|T|11"] = {
					[1] = "32528",
					[2] = "32527",
					[3] = "32589",
					[4] = "32609",
					[5] = "32608",
					[6] = "32593",
					[7] = "32592",
					[8] = "32590",
					[9] = "32943",
					[10] = "32526",
					[11] = "32591",
					[12] = "32606",
					[13] = "32428",
					[14] = "32736",
					[15] = "32737",
					[16] = "32738",
					[17] = "32739",
					[18] = "32752",
					[19] = "32755",
					[20] = "32744",
					[21] = "32746",
					[22] = "32747",
					[23] = "32749",
					[24] = "32750",
				},
				["Quest Reward|T|12"] = {
					[1] = "32757",
				},
			},
		},
		["World Drop|T|2"] = {
			["Hellfire Peninsula|1"] = {
				["Doom Lord Kazzak"] = {
					[1] = "30732",
					[2] = "30733",
					[3] = "30734",
					[4] = "30735",
					[5] = "30736",
					[6] = "30737",
					[7] = "30738",
					[8] = "30739",
					[9] = "30740",
					[10] = "30741",
				},
				["Mekthorg the Wild"] = {
					[1] = "31170",
					[2] = "31168",
					[3] = "31172",
					[4] = "31174",
					[5] = L["Rare"].." "..L["Level"].." 61 "..L["Humanoid"],
				},
				["Vorakem Doomspeaker"] = {
					[1] = "31183",
					[2] = "31185",
					[3] = "31182",
					[4] = "31184",
					[5] = L["Rare"].." "..L["Level"].." 62 "..L["Demon"],
				},
				["Fulgorge"] = {
					[1] = "31177",
					[2] = "31176",
					[3] = "31181",
					[4] = "31179",
					[5] = L["Boss"].." "..L["Level"].." 62 "..L["Not Specified"],
				},
			},
			["Zangarmarsh|2"] = {
				["Coilfang Emissary"] = {
					[1] = "31242",
					[2] = "31246",
					[3] = "31244",
					[4] = "31243",
					[5] = L["Rare"].." "..L["Level"].." 63 "..L["Humanoid"],
				},
				["Bog Lurker"] = {
					[1] = "31250",
					[2] = "31247",
					[3] = "31248",
					[4] = "31249",
					[5] = L["Rare"].." "..L["Level"].." 63 "..L["Elemental"],
				},
				["Marticar"] = {
					[1] = "31254",
					[2] = L["Boss"].." "..L["Level"].." 63 "..L["Beast"],
				},
			},
			["Terokkar Forest|3"] = {
				["Doomsayer Jurim"] = {
					[1] = "31232",
					[2] = "31235",
					[3] = "31233",
					[4] = "31236",
					[5] = L["Rare"].." "..L["Level"].." 64 "..L["Humanoid"],
				},
				["Okrek"] = {
					[1] = "31227",
					[2] = "31229",
					[3] = "31228",
					[4] = "31231",
					[5] = L["Rare"].." "..L["Level"].." 64 "..L["Humanoid"],
				},
				["Crippler"] = {
					[1] = "31238",
					[2] = L["Rare"].." "..L["Level"].." 65 "..L["Undead"],
				},
			},
			["Nagrand|4"] = {
				["Goretooth"] = {
					[1] = "31188",
					[2] = "31192",
					[3] = "31189",
					[4] = "31191",
					[5] = L["Rare"].." "..L["Level"].." 65 "..L["Beast"],
				},
				["Bro'Gaz the Clanless"] = {
					[1] = "31194",
					[2] = L["Rare"].." "..L["Level"].." 66 "..L["Humanoid"],
				},
				["Voidhunter Yar"] = {
					[1] = "31199",
					[2] = "31195",
					[3] = "31197",
					[4] = "31198",
					[5] = L["Rare"].." "..L["Level"].." 68 "..L["Demon"],
				},
			},
			["Blade's Edge Mountains|5"] = {
				["Speaker Mar'grom"] = {
					[1] = "31166",
					[2] = "31165",
					[3] = "31164",
					[4] = "31163",
					[5] = L["Rare"].." "..L["Level"].." 68 "..L["Humanoid"],
				},
				["Morcrush"] = {
					[1] = "31161",
					[2] = "31160",
					[3] = "31162",
					[4] = "31159",
					[5] = L["Boss"].." "..L["Level"].." 68 "..L["Giant"],
				},
				["Hemathion"] = {
					[1] = "31155",
					[2] = "31156",
					[3] = "31157",
					[4] = "31158",
					[5] = L["Boss"].." "..L["Level"].." 68 "..L["Dragon"],
				},
			},
			["Netherstorm|6"] = {
				["Ever-Core the Punisher"] = {
					[1] = "31203",
					[2] = L["Rare"].." "..L["Level"].." 68 "..L["Elemental"],
				},
				["Nuramoc"] = {
					[1] = "31212",
					[2] = "31209",
					[3] = "31211",
					[4] = "31210",
					[5] = L["Boss"].." "..L["Level"].." 70 "..L["Beast"],
				},
				["Chief Engineer Lorthander"] = {
					[1] = "31201",
				},
			},
			["Shadowmoon Valley"] = {
				["Doomwalker"] = { 
					[1] = "30722",
					[2] = "30723",
					[3] = "30724",
					[4] = "30725",
					[5] = "30726",
					[6] = "30727",
					[7] = "30728",
					[8] = "30729",
					[9] = "30730",
					[10] = "30731",
				},
				["Collidus the Warp-Watcher"] = {
					[1] = "31219",
					[2] = "31217",
					[3] = "31220",
					[4] = "31218",
					[5] = L["Boss"].." "..L["Level"].." 70 "..L["Demon"],
				},
				["Kraator"] = {
					[1] = "31216",
					[2] = "31215",
					[3] = "31214",
					[4] = "31213",
					[5] = L["Boss"].." "..L["Level"].." 68 "..L["Demon"],
				},
				["Ambassador Jerrikar"] = {
					[1] = "31221",
					[2] = "31223",
					[3] = "31225",
					[4] = "31224",
					[5] = L["Rare"].." "..L["Level"].." 69 "..L["Demon"],
				},
			},
		},
	},	
}
